Bug 505365 - Fedora 11, downloaded Firefox (not from rpm) crashes with flash-plugin
Fedora 11, downloaded Firefox (not from rpm) crashes with flash-plugin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
[summary in comment 79]
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 12:27 EDT by Thomas Pemberton
Modified: 2010-12-05 01:51 EST (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:51:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Program version information and gdb backtrace of firefox (16.76 KB, text/plain)
2009-06-15 09:56 EDT, Thomas Pemberton
no flags Details
GDB backtrace of Firefox bug (11.69 KB, text/plain)
2009-06-19 16:44 EDT, Thomas Pemberton
no flags Details
Log of assertion failures and errors reported by function calls (1.30 KB, text/plain)
2009-09-02 13:37 EDT, Mark Harig
no flags Details
Multi-thread backtrace of firefox flash plugin crash. (13.57 KB, text/plain)
2009-10-19 15:38 EDT, Kev 'Kyrian' Green
no flags Details
gdb output at the time of firefox crash (11.12 KB, text/plain)
2009-11-01 01:09 EST, Martin F
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 497251 None None None Never

  None (edit)
Description Thomas Pemberton 2009-06-11 12:27:08 EDT
Description of problem:
   When linking the newest flash-plugin with firefox, firefox crashes on startup. The same firefox version and flash-plugin works on my Fedora 10 machine but on this Fedora 11 one it crashes. 

Firefox versions:
   firefox-3.0.0.10
   firefox-3.5b4


How reproducible:
   Everytime the flash-plugin is linked


Steps to Reproduce:
   Sometimes starting firefox makes it crash, others going to gmail or any other website makes it crash
Comment 1 Thomas Pemberton 2009-06-11 12:30:35 EDT
Flash-plugin version:
  flash-plugin-10.0.22.87
Comment 2 Matěj Cepl 2009-06-11 19:30:26 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Are we talking 64bit or 32bit distribution and firefox? If you have nspluginwrapper installed, could we get an output of the command
mozilla-plugin-config -l (otherwise the version of flash-plugin could be found in about:plugins tab).

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Aniket 2009-06-15 02:16:06 EDT
I am running F11 64 bit and I installed FF 3.5 i585 version to use flash player 32 bit as Flash 64 bit has problems with the song player on the site www.imeem.com .

So when I installed FF 3.5 32bit and fired it up, it would crash on flash plugin. Then I installed nspluginwrapper.i586 and it pulled 3 more dependences with it. 

Installed:
  nspluginwrapper.i586 0:1.3.0-5.fc11                                                                                         

Dependency Installed:
libcurl.i586 0:7.19.4-8.fc11            libidn.i586 0:1.9-4                 libssh2.i586 0:1.0-2.fc11

Then I removed nspluginwrapper.i586 and now flash still works in 32 bit FF. 

SO the 3 dependencies did the trick .

I hope this info helps.
Comment 4 Thomas Pemberton 2009-06-15 09:56:09 EDT
Created attachment 347939 [details]
Program version information and gdb backtrace of firefox
Comment 5 Matěj Cepl 2009-06-16 16:05:18 EDT
I am afraid this is not a good backtrace. I will probably have to ask you to follow the advice of gdb and use (that's all on one line):

debuginfo-install ORBit2-2.14.17-1.fc11.i586 PackageKit-gtk-module-0.4.6-8.fc11.i586 avahi-0.6.25-1.fc11.i586 avahi-glib-0.6.25-1.fc11.i586 bug-buddy-2.26.0-2.fc11.i586 bzip2-libs-1.0.5-5.fc11.i586 cyrus-sasl-lib-2.1.22-22.fc11.i586 dbus-glib-0.80-2.fc11.i586 dbus-libs-1.2.12-1.fc11.i586 e2fsprogs-libs-1.41.4-10.fc11.i586 elfutils-libelf-0.141-1.fc11.i586 expat-2.0.1-6.i586 gamin-0.1.10-4.fc11.i586 gnome-keyring-2.26.1-1.fc11.i586 gtk-nodoka-engine-0.7.2-4.fc11.i586 gvfs-1.2.3-2.fc11.i586 keyutils-libs-1.2-5.fc11.i586 krb5-libs-1.6.3-20.fc11.i586 libICE-1.0.4-7.fc11.i586 libSM-1.1.0-4.fc11.i586 libX11-1.2-3.fc11.i586 libXScrnSaver-1.1.3-2.fc11.i586 libXau-1.0.4-5.fc11.i586 libXcomposite-0.4.0-7.fc11.i586 libXcursor-1.1.9-4.fc11.i586 libXdamage-1.1.1-6.fc11.i586 libXext-1.0.99.1-2.fc11.i586 libXfixes-4.0.3-5.fc11.i586 libXi-1.2.1-1.fc11.i586 libXinerama-1.0.3-4.fc11.i586 libXrandr-1.2.99.4-3.fc11.i586 libXrender-0.9.4-5.fc11.i586 libXt-1.0.5-2.fc11.i586 libacl-2.2.47-4.fc11.i586 libart_lgpl-2.3.20-4.fc11.i586 libattr-2.4.43-3.fc11.i586 libbonobo-2.24.1-1.fc11.i586 libbonoboui-2.24.1-1.fc11.i586 libcanberra-0.12-1.fc11.i586 libcanberra-gtk2-0.12-1.fc11.i586 libcap-2.16-2.fc11.i586 libcroco-0.6.2-2.fc11.i586 libcurl-7.19.4-8.fc11.i586 libgnome-2.26.0-1.fc11.i586 libgnomecanvas-2.26.0-1.fc11.i586 libgnomeui-2.24.1-1.fc11.i586 libgsf-1.14.11-3.fc11.i586 libidn-1.9-4.i586 libogg-1.1.3-11.fc11.i586 libpng-1.2.35-1.fc11.i586 librsvg2-2.26.0-1.fc11.i586 libselinux-2.0.80-1.fc11.i586 libssh2-1.0-2.fc11.i586 libtdb-1.1.3-14.fc11.i586 libtool-ltdl-2.2.6-11.fc11.i586 libvorbis-1.2.0-7.fc11.i586 libxcb-1.2-3.fc11.i586 libxml2-2.7.3-2.fc11.i586 openldap-2.4.15-3.fc11.i586 openssl-0.9.8k-4.fc11.i686 pixman-0.14.0-2.fc11.i586 popt-1.13-5.fc11.i586 rhythmbox-0.12.1-3.fc11.i586 zlib-1.2.3-22.fc11.i586
Comment 6 Thomas Pemberton 2009-06-19 16:44:32 EDT
Created attachment 348709 [details]
GDB backtrace of Firefox bug

Backtrace report after installing all debuginfo packages gdb said needed installed. Top thread is /usr/lib/flash-plugin/libflashplayer.so which is linked in /usr/lib/mozilla/plugin
Comment 7 Callum Benepe 2009-06-24 10:52:08 EDT
This isn't a fix, but a workaround. I downloaded SeaMonkey. Works just fine with flash-plugin and java. I'll try repair suggestions and try and find the bug, but use SeaMonkey in the meantime...thanks!
Comment 8 Diaa Kasem 2009-06-25 10:15:26 EDT
I actually stopped using flash .. But stopped using Firefox too .. I'm using Flock right now ... 

I dunno .. but When I add some addons to firefox it starts to freez then I must reboot the PC to be able to use it ... 

One time I started adding addons one by one and wrote down what affected me ... every time they were working fine .. but @ the end they all crashed ... 

What I did when I find an addon that results into a freez, I remove the .mozilla directory and start over adding the addons again..

here is the list I was using .. ( not all of them .. ) after the end of this list .. I stopped ..coz the combination of these addons even installing them one by one .. at this point CRASHS ( not freezes ) The firefox ... 

I'm using Fedora 11 .. on Dell Vostro 1000 Laptop ... 

Kernel : 2.6.29.4-167.fc11.x86_64

here is the list 

-- Running --
Theme apple
scribfire
httpfox
flashblock
ad block
tidy read
Google reader watcher
Google Bookmarks
menu editor
organize status bar
cache status
cache it
Tab Mix Plus
Tab Count
Ctrl-tab
Tab Preview
--- bad --
iMacros
all in one side bar
read it later

--- Very Bad ----
 Google Toolbar
Comment 9 Matěj Cepl 2009-06-25 16:21:57 EDT
(In reply to comment #3)
> Then I removed nspluginwrapper.i586 and now flash still works in 32 bit FF. 

Why not to leave that nspluginwrapper.i586 there and run it from 64bit firefox? Notice, that we intentionally don't have firefox.32bit in x86_64 repos.
Comment 10 Matěj Cepl 2009-06-25 16:25:48 EDT
(In reply to comment #6)
> Created an attachment (id=348709) [details]
> GDB backtrace of Firefox bug
> 
> Backtrace report after installing all debuginfo packages gdb said needed
> installed. Top thread is /usr/lib/flash-plugin/libflashplayer.so which is
> linked in /usr/lib/mozilla/plugin  

Well, sorry, but

Thread 1 (Thread 0xb7fd2760 (LWP 4307)):
#0  0x00000000 in ?? ()
#1  0xabfbee16 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#2  0xac13db4d in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#3  0xac306ae0 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#4  0xabfc49b6 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#5  0xabfb736c in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#6  0xabfa8649 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#7  0xabfacd49 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
#8  0xad2fcfe0 in ?? ()
#9  0xad547318 in ?? ()
#10 0x00000001 in ?? ()
#11 0x0000000d in ?? ()
#12 0xad547380 in ?? ()
#13 0xad5473c0 in ?? ()
#14 0x00000000 in ?? ()

is clearly bug in libflashplayer.so (call to 0x000000 just cannot end well). We cannot do much about it, and so I have to close this as CANTFIX.
Comment 11 Matěj Cepl 2009-06-25 16:29:54 EDT
(In reply to comment #9)
> (In reply to comment #3)
> > Then I removed nspluginwrapper.i586 and now flash still works in 32 bit FF. 
> 
> Why not to leave that nspluginwrapper.i586 there and run it from 64bit firefox?
> Notice, that we intentionally don't have firefox.32bit in x86_64 repos.  

... to finish a thought (which I didn't do before) ... one of other advantages of nspluginwrapper (aside from the fact that you wouldn't have to run 32bit firefox and have whole 32bit set of libraries) is that when flash-plugin crashes (which just happens) it wouldn't take down firefox with itself. You just reload that one particular page and you can continue.
Comment 12 bhclaccount 2009-06-27 01:26:36 EDT
It's crashing for me as well and I'm on 32bit. This can't just be flash's so problem as the plugin works perfectly in firefox on openSUSE.
Comment 13 A. Lee 2009-06-29 06:13:34 EDT
I had this problem with FC11 + vanilla Firefox as well. The "solution" was to remove libfreebl3.chk and libfreebl3.so from the Firefox directory.
Comment 14 Edward Rudd 2009-06-29 10:41:48 EDT
moving freebl3 out of the way DOES fix the crashing, however no sound is available as it fails to connect to PulseAudio.
Comment 15 Callum Benepe 2009-06-29 11:53:13 EDT
I just removed both of those files, and Firefox is working fine.
Ran a video on Youtube, and it does have sound...thanks!
I should add that I'm running a copy of Firefox in a local folder, not the Fedora /usr/lib/firefox copy. Don't know if that would make a difference.
I searched for libfreebl3 rpm online and found reference to network security services

http://fr.rpmfind.net/linux/rpm2html/search.php?query=libfreebl3.so

I wonder if removing this file would expose any type of vulnerability?

<<<remove libfreebl3.chk and libfreebl3.so from the Firefox directory...>>>
Comment 16 Callum Benepe 2009-06-29 12:25:20 EDT
I meant to add, that running Firefox in a terminal shell, the foloowing message shows regularly.

<<<(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead>>>
(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10329): Gdk-WARNING **: XID collision, trouble ahead

(firefox-bin:10610): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
Comment 17 Matěj Cepl 2009-06-30 10:19:27 EDT
I don't know if it is related to anything, but if removing libfreebl3.so helps we might be interested.
Comment 18 milamgh 2009-06-30 20:50:10 EDT
FYI, I took the libfreebl3 files out of the firefox directory as suggested and everything seems to be working fine.  Flash video plays fine with sound.
Comment 19 Thomas Pemberton 2009-07-01 10:15:06 EDT
(In reply to comment #10)
> (In reply to comment #6)
> > Created an attachment (id=348709) [details] [details]
> > GDB backtrace of Firefox bug
> > 
> > Backtrace report after installing all debuginfo packages gdb said needed
> > installed. Top thread is /usr/lib/flash-plugin/libflashplayer.so which is
> > linked in /usr/lib/mozilla/plugin  
> 
> Well, sorry, but
> 
> Thread 1 (Thread 0xb7fd2760 (LWP 4307)):
> #0  0x00000000 in ?? ()
> #1  0xabfbee16 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
> #2  0xac13db4d in ?? () from /usr/lib/flash-plugin/libflashplayer.so
> #3  0xac306ae0 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
> #4  0xabfc49b6 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
> #5  0xabfb736c in ?? () from /usr/lib/flash-plugin/libflashplayer.so
> #6  0xabfa8649 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
> #7  0xabfacd49 in ?? () from /usr/lib/flash-plugin/libflashplayer.so
> #8  0xad2fcfe0 in ?? ()
> #9  0xad547318 in ?? ()
> #10 0x00000001 in ?? ()
> #11 0x0000000d in ?? ()
> #12 0xad547380 in ?? ()
> #13 0xad5473c0 in ?? ()
> #14 0x00000000 in ?? ()
> 
> is clearly bug in libflashplayer.so (call to 0x000000 just cannot end well). We
> cannot do much about it, and so I have to close this as CANTFIX. 

I used the exact same downloaded flash-plugin on my laptop when it had Fedora 10 and it worked fine. Now with Fedora 11 it is crashing when it has the flash-plugin. I also was using the exact same version of Firefox on both Fedora 10 and 11. Clearly something has changed with Fedora 11 to make this happen.
Comment 20 Kai Engert (:kaie) 2009-07-02 08:31:15 EDT
I think we need more debuginfo packages, the stack traces still have a lot of missing symbols.

This might help:
  debuginfo-install xulrunner firefox nspr nss
Comment 21 Kai Engert (:kaie) 2009-07-03 18:21:35 EDT
Yes, there was a change between Fedora 10 and Fedora 11 that might be related.

In F11, glibc has started to depend on libfreebl3.so, in order to centralize all operating system use of cryptography.

But at the same time, there was a desire to keep the list of dependencies as small as possible.

Usually, libfreebl3.so depends on libraries from nspr.rpm

Bob Relyea had invented mechanisms to use a dynamic runtime decision, whether libfreebl3.so should use some internal minimal nspr replacements, or whether it should link against the real nspr.

The idea was, if libfreebl3.so gets referenced by glibc, it shall use its internal nspr replacements (stubs), and in other scenarios it should load the real nspr libs.
Comment 22 Kai Engert (:kaie) 2009-07-03 18:33:44 EDT
The vanilla Firefox (the one downloaded from mozilla.com) contains libfreebl3.so that is built the traditional way, with hard linking to nspr libs.

The Fedora 11 libfreebl3.so is built with the new dynamic runtime decision, whether or not to bind to nspr libs.

I understand that we crash when having a mix of both libfreebl3.so variants visible to a process (when starting the vanilla Firefox, it sees its local copy first, and the systemwide later in the path).

I wonder if the flash plugin (or code loaded through it) references the systemwide libfreebl3.so, while the remainder of firefox references the local libfreebl3.so, and the mix causes confusion?

Or is the flash plugin incompatible with the mechanism used to decide about nspr binding?
Comment 23 Lonni J Friedman 2009-07-09 13:56:43 EDT
Please add me to the list of people afflicted by this bug (on Fedora11-i686).  I can confirm that the workaround noted above (deleting libfreebl3.chk and libfreebl3.so) does eliminate the crashes and allow flash to work.
Comment 24 Bob Glickstein 2009-07-10 03:11:48 EDT
I too just updated to Fedora 11 and ran smack into this bug.  I downloaded the vanilla Firefox and moved libfreebl3.* out of the way as suggested above, but that didn't help.  I then moved all *.so files out of the vanilla firefox directory (except for the few that aren't duplicated elsewhere) and that still didn't help.  Firefox runs fine until a Flash object tries to do something.

Any other ideas for a workaround?  Any ideas about why the workaround doesn't work for me?
Comment 25 Bob Glickstein 2009-07-10 22:29:29 EDT
I solved my own problem from above: the workaround started working for me after I removed some old RPM called libflashsupport that I had laying around.
Comment 26 jrh 2009-07-16 08:42:07 EDT
I had the same problem after upgraded F10 --> F10.
The resolve the problem remove the old package:
yum remove libflashsupport

No need remove/move libfreebl3.* files.
Comment 27 jrh 2009-07-16 08:43:52 EDT
Just correct above typo: F10 --> F10 should be F10 --> F11.
Comment 28 Lonni J Friedman 2009-07-16 10:16:51 EDT
I've never had libflashsupport installed, so that 'solution' doesn't apply here.
Comment 29 Tom Wilson 2009-07-16 20:50:27 EDT
I have neither libflashsupport nor libfreebl3 installed, yet I have this problem.  I'm running Fedora 11 64 bit and Firefox 3.5, both through a fresh install.  Firefox fails frequently, especially when opened via a link from Thunderbird (3.0b2).
Comment 30 Kai Engert (:kaie) 2009-07-22 17:37:35 EDT
Please give a link to a site with flash that crashes for you.

Please report whether you have installed
Firefox in 32 or 64 bit
and
flash plugin in 32 or 64 bit
Comment 31 Kai Engert (:kaie) 2009-07-22 17:41:31 EDT
Please also explain what mechanism you used to install flash.
Comment 32 Lonni J Friedman 2009-07-22 17:42:25 EDT
This one does, but really, its any site with flash.  This is in i686:
http://64squar.es
Comment 33 Kai Engert (:kaie) 2009-07-22 17:48:06 EDT
rpm -Uvh http://linuxdownload.adobe.com/adobe-release/adobe-release-1.0-0.noarch.rpm
yum install flash-plugin


Doesn't work on F11 x86_64.
When I try, I get:
http://linuxdownload.adobe.com/linux/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found


If I run Firefox 64 bit with flash 32 bit, I get error message on console
(LoadPlugin: failed to initialize shared library /usr/lib/flash-plugin/libflashplayer.so [/usr/lib/flash-plugin/libflashplayer.so: wrong ELF class: ELFCLASS32])
which makes sense, and no flash content.


On a 32 bit system with Fedora 11, I installed 32 bit flash plugin, and I can watch videos from youtube just fine.
Comment 34 Kai Engert (:kaie) 2009-07-22 17:49:31 EDT
(In reply to comment #32)
> This one does, but really, its any site with flash.  This is in i686:
> http://64squar.es  

This page gives me two animated chess boards and works for me.
Comment 35 Lonni J Friedman 2009-07-22 17:53:49 EDT
I'm glad that it works for you.  Its not working for me (and others) without the hack noted above.   What information do you need to debug this further?
Comment 36 Nathan Kohagen 2009-08-05 02:54:21 EDT
Firefox crashes soon after flash content loads. I see pulseaudio errors in my log like those listed in Bug 506075.
Comment 37 Kai Engert (:kaie) 2009-08-07 00:15:08 EDT
Still no problems on my system.
I have flash-plugin 10.0.32.18
and firefox 3.5.2

Could anyone please confirm that you still see the reported crash with these recent versions?
Comment 38 Kai Engert (:kaie) 2009-08-07 00:19:32 EDT
Anyone affected by this bug, please provide the output of this command:

rpm -qa firefox\* xulrunner\* nss\* nspr\* flash-plugin\*

I have:
nss-softokn-freebl-3.12.3.99.3-2.11.3.fc11.i586
nss_db-2.2-44.fc11.i586
firefox-3.5.2-2.fc11.i586
nss_compat_ossl-0.9.5-3.fc11.i586
nss-tools-3.12.3.99.3-2.11.3.fc11.i586
nss-3.12.3.99.3-2.11.3.fc11.i586
nspr-devel-4.8-1.fc11.i586
nss-devel-3.12.3.99.3-2.11.3.fc11.i586
xulrunner-devel-1.9.1.2-1.fc11.i586
flash-plugin-10.0.32.18-release.i386
xulrunner-python-1.9.1.2-1.fc11.i586
nss_ldap-264-2.fc11.i586
nspr-4.8-1.fc11.i586
xulrunner-1.9.1.2-1.fc11.i586

If you see older versions in your own output, please try to upgrade.
Comment 39 bhclaccount 2009-08-07 14:53:47 EDT
Deleting the files (such as libfreebl3.chk) works but everytime firefox updates itself, it replaces all those files and I have to do it again. This problem does not exist for me on openSUSE, only on Fedora 11.
Comment 40 Martin F 2009-08-08 09:08:45 EDT
I had a similar problem with firefox 3.5* 64-bit hanging when running some sites with flash. The only way was to force quit.

I am confirming comment #37 that upgrading to the latest flash-plugin 10.0.32.18 (dated 2009/7/30) fixes the problem. Works perfectly now.
Comment 41 Gerry Reno 2009-08-09 14:36:23 EDT
I have flash-plugin 10.0.32.18 and firefox 3.5.2 and firefox still says "missing plugin" whenever flash is required on a site.  When I click on the "missing plugin" icon it goes searching and then says there are no plugins available.
Comment 42 Kai Engert (:kaie) 2009-08-10 13:19:43 EDT
(In reply to comment #41)
> I have flash-plugin 10.0.32.18 and firefox 3.5.2 and firefox still says
> "missing plugin" whenever flash is required on a site.  When I click on the
> "missing plugin" icon it goes searching and then says there are no plugins
> available.  

Gerry, this sounds like a different issue. This bug is about "crashes". In your scenario it appears you don't get any flash content at all and there is no crash. Maybe you could ask on forums or search the web to see what you need in order to enable flash on your system?
Comment 43 Kai Engert (:kaie) 2009-08-10 13:23:49 EDT
(In reply to comment #41)
> I have flash-plugin 10.0.32.18 and firefox 3.5.2 and firefox still says
> "missing plugin" whenever flash is required on a site.  When I click on the
> "missing plugin" icon it goes searching and then says there are no plugins
> available.  

Thank you.

Anyone still crashing (if yes, please see comment 38 first)?

If nobody is crashing anymore, we should close this.
Comment 44 Matěj Cepl 2009-08-10 15:59:05 EDT
(In reply to comment #41)
> I have flash-plugin 10.0.32.18 and firefox 3.5.2 and firefox still says
> "missing plugin" whenever flash is required on a site.  When I click on the
> "missing plugin" icon it goes searching and then says there are no plugins
> available.  

Comment 42 is obviously correct. Please take a look at the output of mozilla-plugin-config -l and if you won't find your flash plugin there please file a NEW bug and to it output both of this command and of

	rpm -qa \*xulrun\* \*firefox\* \*mozilla\* \*flash\* \*plugin\*

Thanks in advance.
Comment 45 Karl Tomlinson 2009-08-10 16:59:49 EDT
Mozilla crash reports indicate that this is still happening with flash-plugin 10.0.32.18 and firefox 3.5.2 (mozilla.com builds).

http://crash-stats.mozilla.com/report/list?product=Firefox&version=Firefox%3A3.5.2&platform=linux&query_search=signature&query_type=exact&query=&date=&range_value=1&range_unit=weeks&do_query=1&signature=%400x0%20|%20libflashplayer.so%400x1c7f6c

About getting package versions, the information is kind of there in the reports, but a bit tricky to match up.  The "Debug Identifier" in the "Modules" page of each report is an md5sum of the text section of the shared object file.
Comment 46 A. Lee 2009-08-11 01:26:57 EDT
It is still crashing. I have:
- Firefox 3.5.2 (mozilla.com release)
- flash plugin 10.0.32.18 (I use the tar.gz package)

Site visited: http://www.youtube.com

$ rpm -qa firefox\* xulrunner\* nss\* nspr\* flash-plugin\* | sort
firefox-3.5.2-2.fc11.i586
nspr-4.8-1.fc11.i586
nspr-devel-4.8-1.fc11.i586
nss-3.12.3.99.3-2.11.3.fc11.i586
nss_compat_ossl-0.9.5-3.fc11.i586
nss_db-2.2-44.fc11.i586
nss-devel-3.12.3.99.3-2.11.3.fc11.i586
nss_ldap-264-2.fc11.i586
nss-softokn-freebl-3.12.3.99.3-2.11.3.fc11.i586
nss-tools-3.12.3.99.3-2.11.3.fc11.i586
xulrunner-1.9.1.2-1.fc11.i586
xulrunner-devel-1.9.1.2-1.fc11.i586
Comment 47 Vassilios Kotoulas 2009-08-11 12:29:47 EDT
It's crashing here too. Not only firefox, but galeon and seahorse are crashing too while clicking on a youtube video

[root@kra:~] rpm -qa firefox\* xulrunner\* nss\* nspr\* flash-plugin\*
nss-devel-3.12.3.99.3-2.11.3.fc11.i586
nss_compat_ossl-0.9.5-3.fc11.i586
nss_ldap-264-2.fc11.i586
nss-3.12.3.99.3-2.11.3.fc11.i586
nspr-devel-4.8-1.fc11.i586
nss-softokn-freebl-3.12.3.99.3-2.11.3.fc11.i586
flash-plugin-10.0.32.18-release.i386
xulrunner-1.9.1.2-1.fc11.i586
nspr-4.8-1.fc11.i586
firefox-3.5.2-2.fc11.i586
nss_db-2.2-44.fc11.i586
Comment 48 Jani Ollikainen 2009-08-19 08:17:40 EDT
What I did to "fix" my problems:

Removed firefox and flash-plugin, did rm -Rf /usr/lib/flash-plugin /usr/lib/mozilla/ and installed them again. 

After that I got some assert failures with nspluginwrapper so removed that.

After that I got flash working without sound.

Noticed some old: libflashsupport-000-0.5.svn20070904.i386

Removed that. And not flash works and sound works (but then I've hit with that #506075 but that's a new problem then)..

This machine has gone many ugprades, latest was dvd upgrade from 9->10 and then preupgrade from 10 to 11.

# rpm -qa firefox\* xulrunner\* nss\* nspr\* flash-plugin\*
flash-plugin-10.0.32.18-release.i386
nss_db-2.2-44.fc11.i586
nss-softokn-freebl-3.12.3.99.3-2.11.4.fc11.i586
xulrunner-1.9.1.2-1.fc11.i586
nss_compat_ossl-0.9.5-3.fc11.i586
firefox-3.5.2-2.fc11.i586
nss-tools-3.12.3.99.3-2.11.4.fc11.i586
nspr-4.8-1.fc11.i586
nss-3.12.3.99.3-2.11.4.fc11.i586
nss_ldap-264-2.fc11.i586
Comment 49 Kai Engert (:kaie) 2009-08-20 08:16:50 EDT
Question to everyone who experiences this bug:

When you crash, are you using
(a) a Firefox that was installed as a Fedora rpm package
or
(b) a Firefox that you have downloaded directly from mozilla.org

I confirm this bug when doing (b), see also
https://bugzilla.mozilla.org/show_bug.cgi?id=497251

I never saw a crash when doing (a).
If you crash with (a), then please add a comment.
Comment 50 Vassilios Kotoulas 2009-08-20 12:43:37 EDT
i have this crash using firefox from fedora rpm
firefox-3.5.2-2.fc11.i586
Comment 51 Jani Ollikainen 2009-08-20 16:35:10 EDT
Mine was with option (a).
Comment 52 Vassilios Kotoulas 2009-08-22 12:52:00 EDT
I installed nspluginwrapper-1.3.0-6.fc11.i586 and now only flashplayer crashes but not the whole browser
Comment 53 Tore H. Larsen 2009-08-24 09:43:39 EDT
Since firefox-3.5.2-2 I have had problems. Interestingly Seamonkey works fine, for  java, flash, js etc. 

$ rpm -qa | grep -i firefox
firefox-3.5.2-2.fc11.x86_64

$ firefox

(firefox:14599): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
*** glibc detected *** /usr/lib64/firefox-3.5.2/firefox: double free or corruption (out): 0x00007f0f4f047de0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3fe5875a96]
/usr/lib64/xine/plugins/1.26/xineplug_inp_dvd.so[0x7f0f431c39e5]
/usr/lib64/libxine.so.1[0x3191617aac]
/usr/lib64/libxine.so.1(_x_scan_plugins+0x5f9)[0x319161bbb9]
/usr/lib64/libxine.so.1(xine_init+0x39)[0x319160eec9]
/usr/lib64/mozilla/plugins/xineplugin.so[0x7f0f433f27af]
/usr/lib64/mozilla/plugins/xineplugin.so(NPP_GetMIMEDescription+0x31)[0x7f0f433f35b1]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c39bc2a]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c3b4a27]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c3a7c4f]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c3a7d79]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c3a8d14]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c3a8ef0]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c3a21c6]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c3a22e1]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c2ceb19]
/usr/lib64/xulrunner-1.9.1/components/libimgicon.so[0x7f0f61adb9d2]
/usr/lib64/xulrunner-1.9.1/components/libimgicon.so[0x7f0f61adbcfe]
/usr/lib64/xulrunner-1.9.1/components/libimgicon.so[0x7f0f61ada651]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318bce95dc]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318bddb391]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318bddd429]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318bf53c2a]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c1854a7]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c185c76]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c187f8b]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c1887dd]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c188aed]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c188d3c]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318be47c16]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318be10bb8]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318be10d84]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318be10bb8]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318be22f1e]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318be2ace0]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c0b8e6f]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c0b9537]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c0b9b05]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c0b5003]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c463c25]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c46d3ff]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c46d800]
/usr/lib64/libgtk-x11-2.0.so.0[0x300892e038]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x15e)[0x3fe980b83e]
/lib64/libgobject-2.0.so.0[0x3fe9820b83]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x68c)[0x3fe9821ddc]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3fe9822493]
/usr/lib64/libgtk-x11-2.0.so.0[0x3008a3191f]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main_do_event+0x401)[0x3008927a61]
/usr/lib64/libgdk-x11-2.0.so.0[0x3008437472]
/usr/lib64/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0xf1)[0x30084379a1]
/usr/lib64/libgdk-x11-2.0.so.0[0x30084379c9]
/usr/lib64/libgdk-x11-2.0.so.0[0x300841c366]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x22e)[0x3fe8037abe]
/lib64/libglib-2.0.so.0[0x3fe803b278]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x80)[0x3fe803b3a0]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c4846bb]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c4847c7]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c53f434]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c510b9c]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c484905]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x318c332a78]
/usr/lib64/xulrunner-1.9.1/libxul.so(XRE_main+0x3456)[0x318bc710c8]
======= Memory map: ========
00400000-00415000 r-xp 00000000 08:05 544987866                          /usr/lib64/firefox-3.5.2/firefox
00615000-00616000 rw-p 00015000 08:05 544987866                          /usr/lib64/firefox-3.5.2/firefox
00616000-00617000 rw-p 00616000 00:00 0 
00815000-00817000 rw-p 00015000 08:05 544987866                          /usr/lib64/firefox-3.5.2/firefox
01f1f000-01f42000 rw-p 01f1f000 00:00 0                                  [heap]
3000000000-300001f000 r-xp 00000000 08:05 78128894                       /usr/lib64/libvorbis.so.0.4.0
300001f000-300021e000 ---p 0001f000 08:05 78128894                       /usr/lib64/libvorbis.so.0.4.0
300021e000-300022d000 rw-p 0001e000 08:05 78128894                       /usr/lib64/libvorbis.so.0.4.0
3000400000-3000407000 r-xp 00000000 08:05 181955                         /usr/lib64/libgailutil.so.18.0.1
3000407000-3000606000 ---p 00007000 08:05 181955                         /usr/lib64/libgailutil.so.18.0.1
3000606000-3000607000 rw-p 00006000 08:05 181955                         /usr/lib64/libgailutil.so.18.0.1
3000800000-3000815000 r-xp 00000000 08:05 181961                         /usr/lib64/libgnome-2.so.0.2600.0
3000815000-3000a14000 ---p 00015000 08:05 181961                         /usr/lib64/libgnome-2.so.0.2600.0
3000a14000-3000a16000 rw-p 00014000 08:05 181961                         /usr/lib64/libgnome-2.so.0.2600.0
3000c00000-3000c6a000 r-xp 00000000 08:05 181962                         /usr/lib64/libbonoboui-2.so.0.0.0
3000c6a000-3000e69000 ---p 0006a000 08:05 181962                         /usr/lib64/libbonoboui-2.so.0.0.0
3000e69000-3000e6e000 rw-p 00069000 08:05 181962                         /usr/lib64/libbonoboui-2.so.0.0.0
3001000000-300100b000 r-xp 00000000 08:05 181957                         /usr/lib64/libavahi-common.so.3.5.1
300100b000-300120b000 ---p 0000b000 08:05 181957                         /usr/lib64/libavahi-common.so.3.5.1
300120b000-300120c000 rw-p 0000b000 08:05 181957                         /usr/lib64/libavahi-common.so.3.5.1
3001800000-3001835000 r-xp 00000000 08:05 51166961                       /usr/lib64/librsvg-2.so.2.26.0
3001835000-3001a34000 ---p 00035000 08:05 51166961                       /usr/lib64/librsvg-2.so.2.26.0
3001a34000-3001a36000 rw-p 00034000 08:05 51166961                       /usr/lib64/librsvg-2.so.2.26.0
3001c00000-3001c64000 r-xp 00000000 08:05 181960                         /usr/lib64/libgnomevfs-2.so.0.2400.1
3001c64000-3001e63000 ---p 00064000 08:05 181960                         /usr/lib64/libgnomevfs-2.so.0.2400.1
3001e63000-3001e68000 rw-p 00063000 08:05 181960                         /usr/lib64/libgnomevfs-2.so.0.2400.1
3002000000-3002007000 r-xp 00000000 08:05 78128895                       /usr/lib64/libvorbisfile.so.3.2.0
3002007000-3002206000 ---p 00007000 08:05 78128895                       /usr/lib64/libvorbisfile.so.3.2.0
3002206000-3002207000 rw-p 00006000 08:05 78128895                       /usr/lib64/libvorbisfile.so.3.2.0
3002400000-300240f000 r-xp 00000000 08:05 181959                         /usr/lib64/libavahi-client.so.3.2.5
300240f000-300260f000 ---p 0000f000 08:05 181959                         /usr/lib64/libavahi-client.so.3.2.5
300260f000-3002610000 rw-p 0000f000 08:05 181959                         /usr/lib64/libavahi-client.so.3.2.5
3003c00000-3003c17000 r-xp 00000000 08:05 55425890                       /usr/lib64/libbeagle.so.1.0.3
3003c17000-3003e16000 ---p 00017000 08:05 55425890                       /usr/lib64/libbeagle.so.1.0.3
3003e16000-3003e18000 rw-p 00016000 08:05 55425890                       /usr/lib64/libbeagle.so.1.0.3
3004000000-3004140000 r-xp 00000000 08:05 49156182                       /usr/lib64/libxml2.so.2.7.3
3004140000-3004340000 ---p 00140000 08:05 49156182                       /usr/lib64/libxml2.so.2.7.3
3004340000-3004349000 rw-p 00140000 08:05 49156182                       /usr/lib64/libxml2.so.2.7.3
3004349000-300434b000 rw-p 3004349000 00:00 0 
3004400000-3004433000 r-xp 00000000 08:05 181956                         /usr/lib64/libgnomecanvas-2.so.0.2600.0
3004433000-3004633000 ---p 00033000 08:05 181956                         /usr/lib64/libgnomecanvas-2.so.0.2600.0
3004633000-3004635000 rw-p 00033000 08:05 181956                         /usr/lib64/libgnomecanvas-2.so.0.2600.0
3004800000-3004895000 r-xp 00000000 08:05 181963                         /usr/lib64/libgnomeui-2.so.0.2400.1
3004895000-3004a94000 ---p 00095000 08:05 181963                         /usr/lib64/libgnomeui-2.so.0.2400.1
3004a94000-3004a9a000 rw-p 00094000 08:05 181963                         /usr/lib64/libgnomeui-2.so.0.2400.1
3004c00000-3004c33000 r-xp 00000000 08:05 181931                         /usr/lib64/libfontconfig.so.1.4.1
3004c33000-3004e32000 ---p 00033000 08:05 181931                         /usr/lib64/libfontconfig.so.1.4.1
3004e32000-3004e34000 rw-p 00032000 08:05 181931                         /usr/lib64/libfontconfig.so.1.4.1
3005000000-300502c000 r-xp 00000000 08:05 181949                         /usr/lib64/libpangoft2-1.0.so.0.2400.5
300502c000-300522b000 ---p 0002c000 08:05 181949                         /usr/lib64/libpangoft2-1.0.so.0.2400.5
300522b000-300522d000 rw-p 0002b000 08:05 181949                         /usr/lib64/libpangoft2-1.0.so.0.2400.5
3005800000-3005802000 r-xp 00000000 08:05 181958                         /usr/lib64/libavahi-glib.so.1.0.1
3005802000-3005a02000 ---p 00002000 08:05 181958                         /usr/lib64/libavahi-glib.so.1.0.1
3005a02000-3005a03000 rw-p 00002000 08:05 181958                         /usr/lib64/libavahi-glib.so.1.0.1
3007800000-3007874000 r-xp 00000000 08:05 181948                         /usr/lib64/libcairo.so.2.10800.8
3007874000-3007a73000 ---p 00074000 08:05 181948                         /usr/lib64/libcairo.so.2.10800.8
3007a73000-3007a76000 rw-p 00073000 08:05 181948                         /usr/lib64/libcairo.so.2.10800.8
3008000000-300800b000 r-xp 00000000 08:05 181950                         /usr/lib64/libpangocairo-1.0.so.0.2400.5
300800b000-300820a000 ---p 0000b000 08:05 181950                         /usr/lib64/libpangocairo-1.0.so.0.2400.5
300820a000-300820b000 rw-p 0000a000 08:05 181950                         /usr/lib64/libpangocairo-1.0.so.0.2400.5
3008400000/usr/lib64/firefox-3.5.2/run-mozilla.sh: line 131: 14599 Aborted                 (core dumped) "$prog" ${1+"$@"}
[torel@bgo-s-101 ~]$ 
[torel@bgo-s-101 ~]$ file core.14599 
core.14599: ELF 64-bit LSB core file x86-64, version 1 (SYSV), SVR4-style, from '/usr/lib64/firefox-3.5.2/firefox'
[torel@bgo-s-101 ~]$ gdb /usr/lib64/firefox-3.5.2/firefox ./core.14599
GNU gdb (GDB) Fedora (6.8.50.20090302-37.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
[New Thread 14648]
[New Thread 14604]
[New Thread 14601]
[New Thread 14606]
[New Thread 14602]
[New Thread 14609]
[New Thread 14607]
[New Thread 14641]
[New Thread 14608]
[New Thread 14610]
[New Thread 14611]

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /lib64/libpthread.so.0...done.
Loaded symbols for /lib64/libpthread.so.0
Reading symbols from /lib64/libasound.so.2...done.
Loaded symbols for /lib64/libasound.so.2
Reading symbols from /lib64/libdl.so.2...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /usr/lib64/libstdc++.so.6...done.
Loaded symbols for /usr/lib64/libstdc++.so.6
Reading symbols from /lib64/libm.so.6...done.
Loaded symbols for /lib64/libm.so.6
Reading symbols from /lib64/libgcc_s.so.1...done.
Loaded symbols for /lib64/libgcc_s.so.1
Reading symbols from /lib64/libc.so.6...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /lib64/librt.so.1...done.
Loaded symbols for /lib64/librt.so.1
Reading symbols from /usr/lib64/xulrunner-1.9.1/libmozjs.so...done.
Loaded symbols for /usr/lib64/xulrunner-1.9.1/libmozjs.so
Reading symbols from /lib64/libplds4.so...done.
Loaded symbols for /lib64/libplds4.so
Reading symbols from /lib64/libplc4.so...done.
Loaded symbols for /lib64/libplc4.so
Reading symbols from /lib64/libnspr4.so...done.
Loaded symbols for /lib64/libnspr4.so
Reading symbols from /usr/lib64/xulrunner-1.9.1/libxul.so...done.
Loaded symbols for /usr/lib64/xulrunner-1.9.1/libxul.so
Reading symbols from /usr/lib64/libsqlite3.so.0...done.
Loaded symbols for /usr/lib64/libsqlite3.so.0
Reading symbols from /usr/lib64/libjpeg.so.62...done.
Loaded symbols for /usr/lib64/libjpeg.so.62
Reading symbols from /lib64/libssl3.so...done.
Loaded symbols for /lib64/libssl3.so
Reading symbols from /lib64/libsmime3.so...done.
Loaded symbols for /lib64/libsmime3.so
Reading symbols from /lib64/libnss3.so...done.
Loaded symbols for /lib64/libnss3.so
Reading symbols from /lib64/libnssutil3.so...done.
Loaded symbols for /lib64/libnssutil3.so
Reading symbols from /usr/lib64/libcairo.so.2...done.
Loaded symbols for /usr/lib64/libcairo.so.2
Reading symbols from /usr/lib64/libfreetype.so.6...done.
Loaded symbols for /usr/lib64/libfreetype.so.6
Reading symbols from /usr/lib64/libfontconfig.so.1...done.
Loaded symbols for /usr/lib64/libfontconfig.so.1
Reading symbols from /usr/lib64/libXrender.so.1...done.
Loaded symbols for /usr/lib64/libXrender.so.1
Reading symbols from /usr/lib64/libX11.so.6...done.
Loaded symbols for /usr/lib64/libX11.so.6
Reading symbols from /lib64/libz.so.1...done.
Loaded symbols for /lib64/libz.so.1
Reading symbols from /usr/lib64/libhunspell-1.2.so.0...done.
Loaded symbols for /usr/lib64/libhunspell-1.2.so.0
Reading symbols from /usr/lib64/libdbus-glib-1.so.2...done.
Loaded symbols for /usr/lib64/libdbus-glib-1.so.2
Reading symbols from /lib64/libdbus-1.so.3...done.
Loaded symbols for /lib64/libdbus-1.so.3
Reading symbols from /lib64/libgobject-2.0.so.0...done.
Loaded symbols for /lib64/libgobject-2.0.so.0
Reading symbols from /lib64/libglib-2.0.so.0...done.
Loaded symbols for /lib64/libglib-2.0.so.0
Reading symbols from /usr/lib64/libpangoft2-1.0.so.0...done.
Loaded symbols for /usr/lib64/libpangoft2-1.0.so.0
Reading symbols from /usr/lib64/libpango-1.0.so.0...done.
Loaded symbols for /usr/lib64/libpango-1.0.so.0
Reading symbols from /lib64/libgmodule-2.0.so.0...done.
Loaded symbols for /lib64/libgmodule-2.0.so.0
Reading symbols from /usr/lib64/libgtk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib64/libgtk-x11-2.0.so.0
Reading symbols from /usr/lib64/libatk-1.0.so.0...done.
Loaded symbols for /usr/lib64/libatk-1.0.so.0
Reading symbols from /lib64/libgio-2.0.so.0...done.
Loaded symbols for /lib64/libgio-2.0.so.0
Reading symbols from /usr/lib64/libgdk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib64/libgdk-x11-2.0.so.0
Reading symbols from /usr/lib64/libgdk_pixbuf-2.0.so.0...done.
Loaded symbols for /usr/lib64/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/lib64/libpangocairo-1.0.so.0...done.
Loaded symbols for /usr/lib64/libpangocairo-1.0.so.0
Reading symbols from /usr/lib64/libXt.so.6...done.
Loaded symbols for /usr/lib64/libXt.so.6
Reading symbols from /lib64/libgthread-2.0.so.0...done.
Loaded symbols for /lib64/libgthread-2.0.so.0
Reading symbols from /usr/lib64/libpixman-1.so.0...done.
Loaded symbols for /usr/lib64/libpixman-1.so.0
Reading symbols from /usr/lib64/libpng12.so.0...done.
Loaded symbols for /usr/lib64/libpng12.so.0
Reading symbols from /lib64/libexpat.so.1...done.
Loaded symbols for /lib64/libexpat.so.1
Reading symbols from /usr/lib64/libxcb.so.1...done.
Loaded symbols for /usr/lib64/libxcb.so.1
Reading symbols from /lib64/libcap.so.2...done.
Loaded symbols for /lib64/libcap.so.2
Reading symbols from /usr/lib64/libXfixes.so.3...done.
Loaded symbols for /usr/lib64/libXfixes.so.3
Reading symbols from /lib64/libselinux.so.1...done.
Loaded symbols for /lib64/libselinux.so.1
Reading symbols from /usr/lib64/libXext.so.6...done.
Loaded symbols for /usr/lib64/libXext.so.6
Reading symbols from /usr/lib64/libXinerama.so.1...done.
Loaded symbols for /usr/lib64/libXinerama.so.1
Reading symbols from /usr/lib64/libXi.so.6...done.
Loaded symbols for /usr/lib64/libXi.so.6
Reading symbols from /usr/lib64/libXrandr.so.2...done.
Loaded symbols for /usr/lib64/libXrandr.so.2
Reading symbols from /usr/lib64/libXcursor.so.1...done.
Loaded symbols for /usr/lib64/libXcursor.so.1
Reading symbols from /usr/lib64/libXcomposite.so.1...done.
Loaded symbols for /usr/lib64/libXcomposite.so.1
Reading symbols from /usr/lib64/libXdamage.so.1...done.
Loaded symbols for /usr/lib64/libXdamage.so.1
Reading symbols from /usr/lib64/libSM.so.6...done.
Loaded symbols for /usr/lib64/libSM.so.6
Reading symbols from /usr/lib64/libICE.so.6...done.
Loaded symbols for /usr/lib64/libICE.so.6
Reading symbols from /usr/lib64/libXau.so.6...done.
Loaded symbols for /usr/lib64/libXau.so.6
Reading symbols from /lib64/libattr.so.1...done.
Loaded symbols for /lib64/libattr.so.1
Reading symbols from /lib64/libuuid.so.1...done.
Loaded symbols for /lib64/libuuid.so.1
Reading symbols from /usr/lib64/xulrunner-1.9.1/libxpcom.so...done.
Loaded symbols for /usr/lib64/xulrunner-1.9.1/libxpcom.so
Reading symbols from /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so...done.
Loaded symbols for /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
Reading symbols from /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so...done.
Loaded symbols for /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
Reading symbols from /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so...done.
Loaded symbols for /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
Reading symbols from /usr/lib64/libcanberra-gtk.so.0...done.
Loaded symbols for /usr/lib64/libcanberra-gtk.so.0
Reading symbols from /usr/lib64/libcanberra.so.0...done.
Loaded symbols for /usr/lib64/libcanberra.so.0
Reading symbols from /usr/lib64/libvorbisfile.so.3...done.
Loaded symbols for /usr/lib64/libvorbisfile.so.3
Reading symbols from /usr/lib64/libvorbis.so.0...done.
Loaded symbols for /usr/lib64/libvorbis.so.0
Reading symbols from /usr/lib64/libogg.so.0...done.
Loaded symbols for /usr/lib64/libogg.so.0
Reading symbols from /usr/lib64/libtdb.so.1...done.
Loaded symbols for /usr/lib64/libtdb.so.1
Reading symbols from /usr/lib64/libltdl.so.7...done.
Loaded symbols for /usr/lib64/libltdl.so.7
Reading symbols from /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so...done.
Loaded symbols for /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
Reading symbols from /usr/lib64/libelf.so.1...done.
Loaded symbols for /usr/lib64/libelf.so.1
Reading symbols from /usr/lib64/libgnomeui-2.so.0...done.
Loaded symbols for /usr/lib64/libgnomeui-2.so.0
Reading symbols from /usr/lib64/libbonoboui-2.so.0...done.
Loaded symbols for /usr/lib64/libbonoboui-2.so.0
Reading symbols from /usr/lib64/libgnomecanvas-2.so.0...done.
Loaded symbols for /usr/lib64/libgnomecanvas-2.so.0
Reading symbols from /usr/lib64/libgnome-2.so.0...done.
Loaded symbols for /usr/lib64/libgnome-2.so.0
Reading symbols from /usr/lib64/libart_lgpl_2.so.2...done.
Loaded symbols for /usr/lib64/libart_lgpl_2.so.2
Reading symbols from /usr/lib64/libgnomevfs-2.so.0...done.
Loaded symbols for /usr/lib64/libgnomevfs-2.so.0
Reading symbols from /usr/lib64/libgconf-2.so.4...done.
Loaded symbols for /usr/lib64/libgconf-2.so.4
Reading symbols from /usr/lib64/libgnome-keyring.so.0...done.
Loaded symbols for /usr/lib64/libgnome-keyring.so.0
Reading symbols from /usr/lib64/libbonobo-2.so.0...done.
Loaded symbols for /usr/lib64/libbonobo-2.so.0
Reading symbols from /usr/lib64/libbonobo-activation.so.4...done.
Loaded symbols for /usr/lib64/libbonobo-activation.so.4
Reading symbols from /usr/lib64/libORBit-2.so.0...done.
Loaded symbols for /usr/lib64/libORBit-2.so.0
Reading symbols from /usr/lib64/libxml2.so.2...done.
Loaded symbols for /usr/lib64/libxml2.so.2
Reading symbols from /lib64/libpopt.so.0...done.
Loaded symbols for /lib64/libpopt.so.0
Reading symbols from /usr/lib64/libgailutil.so.18...done.
Loaded symbols for /usr/lib64/libgailutil.so.18
Reading symbols from /usr/lib64/libssl.so.8...done.
Loaded symbols for /usr/lib64/libssl.so.8
Reading symbols from /usr/lib64/libcrypto.so.8...done.
Loaded symbols for /usr/lib64/libcrypto.so.8
Reading symbols from /usr/lib64/libavahi-glib.so.1...done.
Loaded symbols for /usr/lib64/libavahi-glib.so.1
Reading symbols from /usr/lib64/libavahi-common.so.3...done.
Loaded symbols for /usr/lib64/libavahi-common.so.3
Reading symbols from /usr/lib64/libavahi-client.so.3...done.
Loaded symbols for /usr/lib64/libavahi-client.so.3
Reading symbols from /lib64/libresolv.so.2...done.
Loaded symbols for /lib64/libresolv.so.2
Reading symbols from /lib64/libutil.so.1...done.
Loaded symbols for /lib64/libutil.so.1
Reading symbols from /usr/lib64/libORBitCosNaming-2.so.0...done.
Loaded symbols for /usr/lib64/libORBitCosNaming-2.so.0
Reading symbols from /usr/lib64/libgssapi_krb5.so.2...done.
Loaded symbols for /usr/lib64/libgssapi_krb5.so.2
Reading symbols from /usr/lib64/libkrb5.so.3...done.
Loaded symbols for /usr/lib64/libkrb5.so.3
Reading symbols from /lib64/libcom_err.so.2...done.
Loaded symbols for /lib64/libcom_err.so.2
Reading symbols from /usr/lib64/libk5crypto.so.3...done.
Loaded symbols for /usr/lib64/libk5crypto.so.3
Reading symbols from /usr/lib64/libkrb5support.so.0...done.
Loaded symbols for /usr/lib64/libkrb5support.so.0
Reading symbols from /lib64/libkeyutils.so.1...done.
Loaded symbols for /lib64/libkeyutils.so.1
Reading symbols from /usr/lib64/gconv/UTF-16.so...done.
Loaded symbols for /usr/lib64/gconv/UTF-16.so
Reading symbols from /usr/lib64/firefox-3.5.2/components/libbrowserdirprovider.so...done.
Loaded symbols for /usr/lib64/firefox-3.5.2/components/libbrowserdirprovider.so
Reading symbols from /usr/lib64/xulrunner-1.9.1/components/libdbusservice.so...done.
Loaded symbols for /usr/lib64/xulrunner-1.9.1/components/libdbusservice.so
Reading symbols from /usr/lib64/xulrunner-1.9.1/components/libimgicon.so...done.
Loaded symbols for /usr/lib64/xulrunner-1.9.1/components/libimgicon.so
Reading symbols from /usr/lib64/firefox-3.5.2/components/libbrowsercomps.so...done.
Loaded symbols for /usr/lib64/firefox-3.5.2/components/libbrowsercomps.so
Reading symbols from /usr/lib64/libstartup-notification-1.so.0...done.
Loaded symbols for /usr/lib64/libstartup-notification-1.so.0
Reading symbols from /usr/lib64/libXss.so.1...done.
Loaded symbols for /usr/lib64/libXss.so.1
Reading symbols from /usr/lib64/firefox-3.5.2/components/libnkgnomevfs.so...done.
Loaded symbols for /usr/lib64/firefox-3.5.2/components/libnkgnomevfs.so
Reading symbols from /usr/lib64/gio/modules/libgioremote-volume-monitor.so...done.
Loaded symbols for /usr/lib64/gio/modules/libgioremote-volume-monitor.so
Reading symbols from /usr/lib64/libgvfscommon.so.0...done.
Loaded symbols for /usr/lib64/libgvfscommon.so.0
Reading symbols from /usr/lib64/gio/modules/libgvfsdbus.so...done.
Loaded symbols for /usr/lib64/gio/modules/libgvfsdbus.so
Reading symbols from /usr/lib64/xulrunner-1.9.1/components/libmozgnome.so...done.
Loaded symbols for /usr/lib64/xulrunner-1.9.1/components/libmozgnome.so
Reading symbols from /usr/lib64/gnome-vfs-2.0/modules/libfile.so...done.
Loaded symbols for /usr/lib64/gnome-vfs-2.0/modules/libfile.so
Reading symbols from /lib64/libacl.so.1...done.
Loaded symbols for /lib64/libacl.so.1
Reading symbols from /usr/lib64/libfam.so.0...done.
Loaded symbols for /usr/lib64/libfam.so.0
Reading symbols from /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so...done.
Loaded symbols for /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
Reading symbols from /usr/lib64/librsvg-2.so.2...done.
Loaded symbols for /usr/lib64/librsvg-2.so.2
Reading symbols from /usr/lib64/libgsf-1.so.114...done.
Loaded symbols for /usr/lib64/libgsf-1.so.114
Reading symbols from /usr/lib64/libcroco-0.6.so.3...done.
Loaded symbols for /usr/lib64/libcroco-0.6.so.3
Reading symbols from /lib64/libbz2.so.1...done.
Loaded symbols for /lib64/libbz2.so.1
Reading symbols from /usr/lib64/libcanberra-0.12/libcanberra-pulse.so...done.
Loaded symbols for /usr/lib64/libcanberra-0.12/libcanberra-pulse.so
Reading symbols from /usr/lib64/libpulse.so.0...done.
Loaded symbols for /usr/lib64/libpulse.so.0
Reading symbols from /usr/lib64/libpulsecommon-0.9.15.so...done.
Loaded symbols for /usr/lib64/libpulsecommon-0.9.15.so
Reading symbols from /usr/lib64/libXtst.so.6...done.
Loaded symbols for /usr/lib64/libXtst.so.6
Reading symbols from /lib64/libwrap.so.0...done.
Loaded symbols for /lib64/libwrap.so.0
Reading symbols from /usr/lib64/libasyncns.so.0...done.
Loaded symbols for /usr/lib64/libasyncns.so.0
Reading symbols from /usr/lib64/libgdbm.so.2...done.
Loaded symbols for /usr/lib64/libgdbm.so.2
Reading symbols from /lib64/libnsl.so.1...done.
Loaded symbols for /lib64/libnsl.so.1
Reading symbols from /lib64/libsoftokn3.so...done.
Loaded symbols for /lib64/libsoftokn3.so
Reading symbols from /lib64/libnssdbm3.so...done.
Loaded symbols for /lib64/libnssdbm3.so
Reading symbols from /lib64/libfreebl3.so...done.
Loaded symbols for /lib64/libfreebl3.so
Reading symbols from /lib64/libnssckbi.so...done.
Loaded symbols for /lib64/libnssckbi.so
Reading symbols from /usr/lib64/libesd.so.0...done.
Loaded symbols for /usr/lib64/libesd.so.0
Reading symbols from /usr/lib64/libaudiofile.so.0...done.
Loaded symbols for /usr/lib64/libaudiofile.so.0
Reading symbols from /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so...done.
Loaded symbols for /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
Reading symbols from /usr/lib64/libbeagle.so.1...done.
Loaded symbols for /usr/lib64/libbeagle.so.1
Reading symbols from /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so...done.
Loaded symbols for /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/IcedTeaPlugin.so
Reading symbols from /usr/lib64/flash-plugin/libflashplayer.so...done.
Loaded symbols for /usr/lib64/flash-plugin/libflashplayer.so
Reading symbols from /usr/lib64/mozilla/plugins/openvrml.so...done.
Loaded symbols for /usr/lib64/mozilla/plugins/openvrml.so
Reading symbols from /usr/lib64/mozilla/plugins/librhythmbox-itms-detection-plugin.so...done.
Loaded symbols for /usr/lib64/mozilla/plugins/librhythmbox-itms-detection-plugin.so
Reading symbols from /usr/lib64/mozilla/plugins/mozplugger.so...done.
Loaded symbols for /usr/lib64/mozilla/plugins/mozplugger.so
Reading symbols from /usr/lib64/mozilla/plugins/libtotem-cone-plugin.so...done.
Loaded symbols for /usr/lib64/mozilla/plugins/libtotem-cone-plugin.so
Reading symbols from /usr/lib64/libtotem-plparser-mini.so.12...done.
Loaded symbols for /usr/lib64/libtotem-plparser-mini.so.12
Reading symbols from /usr/lib64/mozilla/plugins/libtotem-gmp-plugin.so...done.
Loaded symbols for /usr/lib64/mozilla/plugins/libtotem-gmp-plugin.so
Reading symbols from /usr/lib64/mozilla/plugins/libtotem-mully-plugin.so...done.
Loaded symbols for /usr/lib64/mozilla/plugins/libtotem-mully-plugin.so
Reading symbols from /usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.so...done.
Loaded symbols for /usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.so
Reading symbols from /usr/lib64/mozilla/plugins/xineplugin.so...done.
Loaded symbols for /usr/lib64/mozilla/plugins/xineplugin.so
Reading symbols from /usr/lib64/libxine.so.1...done.
Loaded symbols for /usr/lib64/libxine.so.1
Reading symbols from /usr/lib64/xine/plugins/1.26/xineplug_inp_dvd.so...done.
Loaded symbols for /usr/lib64/xine/plugins/1.26/xineplug_inp_dvd.so
Reading symbols from /usr/lib64/libdvdcss.so.2...done.
Loaded symbols for /usr/lib64/libdvdcss.so.2
Core was generated by `/usr/lib64/firefox-3.5.2/firefox'.
Program terminated with signal 6, Aborted.
#0  0x0000003fe640edab in raise () from /lib64/libpthread.so.0
Missing separate debuginfos, use: debuginfo-install firefox-3.5.2-2.fc11.x86_64
(gdb) where
#0  0x0000003fe640edab in raise () from /lib64/libpthread.so.0
#1  0x000000318bc76ea0 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#2  <signal handler called>
#3  0x0000003fe58332f5 in raise () from /lib64/libc.so.6
#4  0x0000003fe5834b20 in abort () from /lib64/libc.so.6
#5  0x0000003fe587005d in __libc_message () from /lib64/libc.so.6
#6  0x0000003fe5875a96 in malloc_printerr () from /lib64/libc.so.6
#7  0x00007f0f431c39e5 in _x_stream_info_set () from /usr/lib64/xine/plugins/1.26/xineplug_inp_dvd.so
#8  0x0000003191617aac in ?? () from /usr/lib64/libxine.so.1
#9  0x000000319161bbb9 in _x_scan_plugins () from /usr/lib64/libxine.so.1
#10 0x000000319160eec9 in xine_init () from /usr/lib64/libxine.so.1
#11 0x00007f0f433f27af in ?? () from /usr/lib64/mozilla/plugins/xineplugin.so
#12 0x00007f0f433f35b1 in NPP_GetMIMEDescription () from /usr/lib64/mozilla/plugins/xineplugin.so
#13 0x000000318c39bc2a in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#14 0x000000318c3b4a27 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#15 0x000000318c3a7c4f in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#16 0x000000318c3a7d79 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#17 0x000000318c3a8d14 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#18 0x000000318c3a8ef0 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#19 0x000000318c3a21c6 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#20 0x000000318c3a22e1 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#21 0x000000318c2ceb19 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#22 0x00007f0f61adb9d2 in ?? () from /usr/lib64/xulrunner-1.9.1/components/libimgicon.so
#23 0x00007f0f61adbcfe in ?? () from /usr/lib64/xulrunner-1.9.1/components/libimgicon.so
#24 0x00007f0f61ada651 in ?? () from /usr/lib64/xulrunner-1.9.1/components/libimgicon.so
#25 0x000000318bce95dc in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#26 0x000000318bddb391 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#27 0x000000318bddd429 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#28 0x000000318bf53c2a in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#29 0x000000318c1854a7 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#30 0x000000318c185c76 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#31 0x000000318c187f8b in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#32 0x000000318c1887dd in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#33 0x000000318c188aed in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#34 0x000000318c188d3c in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#35 0x000000318be47c16 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#36 0x000000318be10bb8 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#37 0x000000318be10d84 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#38 0x000000318be10bb8 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#39 0x000000318be22f1e in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#40 0x000000318be2ace0 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#41 0x000000318c0b8e6f in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#42 0x000000318c0b9537 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#43 0x000000318c0b9b05 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#44 0x000000318c0b5003 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#45 0x000000318c463c25 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#46 0x000000318c46d3ff in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#47 0x000000318c46d800 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#48 0x000000300892e038 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#49 0x0000003fe980b83e in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#50 0x0000003fe9820b83 in ?? () from /lib64/libgobject-2.0.so.0
#51 0x0000003fe9821ddc in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit--- 
#52 0x0000003fe9822493 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#53 0x0000003008a3191f in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#54 0x0000003008927a61 in gtk_main_do_event () from /usr/lib64/libgtk-x11-2.0.so.0
#55 0x0000003008437472 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#56 0x00000030084379a1 in gdk_window_process_all_updates () from /usr/lib64/libgdk-x11-2.0.so.0
#57 0x00000030084379c9 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#58 0x000000300841c366 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#59 0x0000003fe8037abe in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#60 0x0000003fe803b278 in ?? () from /lib64/libglib-2.0.so.0
#61 0x0000003fe803b3a0 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#62 0x000000318c4846bb in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#63 0x000000318c4847c7 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#64 0x000000318c53f434 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#65 0x000000318c510b9c in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#66 0x000000318c484905 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#67 0x000000318c332a78 in ?? () from /usr/lib64/xulrunner-1.9.1/libxul.so
#68 0x000000318bc710c8 in XRE_main () from /usr/lib64/xulrunner-1.9.1/libxul.so
#69 0x000000000040252e in mmap ()
#70 0x0000003fe581ea2d in __libc_start_main () from /lib64/libc.so.6
#71 0x0000000000401d39 in mmap ()
#72 0x00007fff0be69d38 in ?? ()
#73 0x000000000000001c in ?? ()
#74 0x0000000000000001 in ?? ()
#75 0x00007fff0be6b82a in ?? ()
#76 0x0000000000000000 in ?? ()
(gdb)
Comment 54 Wan-Teh Chang 2009-08-24 14:49:38 EDT
This crash also affects the Chromium browser (now a 32-bit
ia32 application) when it is installed on a 64-bit x64 Fedora
11 system because it installs 32-bit NSS libraries.  See
http://code.google.com/p/chromium/issues/detail?id=20001

Since Chromium has just been ported to 64-bit x64, Chromium
will work around this bug by releasing 64-bit builds so that
it doesn't need to ship (32-bit) NSS libraries.  This workaround
is an option for Chromium because it treats NSS as a system
library.  We still need to fix this bug for Firefox.
Comment 55 Eddie Lania 2009-08-24 17:04:50 EDT
I filed Bug 501864 for a similar issue on 2009-05-21 03 but it was closed as CANTFIX, maybe it is related?

Has anyone tried switching to/from full screen playing flash video?
Comment 56 Mark Harig 2009-08-26 23:47:53 EDT
I am finding that what crashes the web browser / flash player depends on the content.  Here are some commands that started web browsers (not only firefox) and played the sound and video without a problem:

$ /usr/bin/seamonkey http://www.youtube.com/watch?v=32wIKaLkvc4&NR=1

$ /usr/bin/firefox http://www.youtube.com/watch?v=32wIKaLkvc4&NR=1

$ /usr/bin/galeon http://www.youtube.com/watch?v=32wIKaLkvc4&NR=1
(Numerous errors are displayed, but they do not prevent 'galeon' from playing the video.)

$ /usr/bin/epiphany http://www.youtube.com/watch?v=32wIKaLkvc4&NR=1

$ rpm -q seamonkey firefox galeon epiphany
seamonkey-1.1.17-1.fc11.x86_64
firefox-3.5.2-2.fc11.x86_64
galeon-2.0.7-13.fc11.x86_64
epiphany-2.26.3-3.fc11.x86_64

The 64-bit flash player library was extracted from
http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz

The following URL causes all four web browsers to crash:

$ /usr/bin/seamonkey http://www.youtube.com/falltvpreview
Illegal instruction
$ echo $?
132

$ /usr/bin/firefox http://www.youtube.com/falltvpreview
/usr/lib64/firefox-3.5.2/run-mozilla.sh: line 131:  6660 Illegal instruction     "$prog" ${1+"$@"}
$ echo $?
132

$ /usr/bin/firefox http://www.youtube.com/falltvpreview
(numerous messages ending with)
Illegal instruction
$ echo $?
132

$ /usr/bin/epiphany http://www.youtube.com/falltvpreview
(epiphany:6340): Gdk-WARNING **: XID collision, trouble ahead

(epiphany:6340): Gdk-WARNING **: XID collision, trouble ahead

[1]+  Illegal instruction     /usr/bin/epiphany
Comment 57 Vassilios Kotoulas 2009-08-27 14:40:43 EDT
(In reply to comment #52)
> I installed nspluginwrapper-1.3.0-6.fc11.i586 and now only flashplayer crashes
> but not the whole browser  

when my flashplayer crashes, I get the following message in syslog:
Aug 27 20:38:54 kra kernel: npviewer.bin[3031]: segfault at 0 ip 00b159fb sp bff20c40 error 4 in ld-2.10.1.so[b0b000+20000]
Comment 58 Tore H. Larsen 2009-09-02 12:44:09 EDT
Downgraded firefox and xulrunner. Same problem. 

Then removed xine-plugin.  Fixed the problem for me. No more crashes, and flash works fine again.

[torel@bgo-s-101 ~]$ *** glibc detected *** /usr/lib64/firefox-3.5b4/firefox: free(): invalid pointer: 0x00007f840a199600 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3fe5875a96]
/usr/lib64/xine/plugins/1.26/xineplug_inp_dvd.so[0x7f83fcbb79e5]
/usr/lib64/libxine.so.1[0x3191617aac]
/usr/lib64/libxine.so.1(_x_scan_plugins+0x5f9)[0x319161bbb9]
/usr/lib64/libxine.so.1(xine_init+0x39)[0x319160eec9]
/usr/lib64/mozilla/plugins/xineplugin.so[0x7f83fcde67af]
/usr/lib64/mozilla/plugins/xineplugin.so(NPP_GetMIMEDescription+0x31)[0x7f83fcde75b1]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c5bcfe2]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c5d5de3]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c5c9005]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c5c912f]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c5ca0ca]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c5ca2a6]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c5c30c7]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c5c322d]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c6bd4fd]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c6c2bed]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c774627]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c775abb]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c748378]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c747ac0]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c2f64eb]
/usr/lib64/xulrunner-1.9.1/libxul.so(NS_InvokeByIndex_P+0x279)[0x7f841c786999]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841becb6d5]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841bed3d85]
/usr/lib64/xulrunner-1.9.1/libmozjs.so(js_Invoke+0x651)[0x7f841d090b49]
/usr/lib64/xulrunner-1.9.1/libmozjs.so[0x7f841d081c93]
/usr/lib64/xulrunner-1.9.1/libmozjs.so[0x7f841d0903d9]
/usr/lib64/xulrunner-1.9.1/libmozjs.so(JS_EvaluateUCScriptForPrincipals+0xa5)[0x7f841d059fca]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c2ed627]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c1d10b9]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c1d1253]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c1d2e4a]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c1d30a3]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841bf2be77]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841bf87f93]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841bf1476f]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841bf149df]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c766338]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c77a74d]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c74bf10]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c6a52d9]
/usr/lib64/xulrunner-1.9.1/libxul.so[0x7f841c555a14]
/usr/lib64/xulrunner-1.9.1/libxul.so(XRE_main+0x3456)[0x7f841be9f4f8]
/usr/lib64/firefox-3.5b4/firefox[0x4022ab]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x3fe581ea2d]
/usr/lib64/firefox-3.5b4/firefox[0x401c59]
======= Memory map: ========
00400000-00415000 r-xp 00000000 08:05 914447985                          /usr/lib64/firefox-3.5b4/firefox
00614000-00615000 rw-p 00014000 08:05 914447985                          /usr/lib64/firefox-3.5b4/firefox
00615000-00616000 rw-p 00615000 00:00 0 
00ac5000-00ae8000 rw-p 00ac5000 00:00 0                                  [heap]
3000000000-300001f000 r-xp 00000000 08:05 78128894                       /usr/lib64/libvorbis.so.0.4.0
300001f000-300021e000 ---p 0001f000 08:05 78128894                       /usr/lib64/libvorbis.so.0.4.0
300021e000-300022d000 rw-p 0001e000 08:05 78128894                       /usr/lib64/libvorbis.so.0.4.0
3000400000-3000407000 r-xp 00000000 08:05 181955                         /usr/lib64/libgailutil.so.18.0.1
3000407000-3000606000 ---p 00007000 08:05 181955                         /usr/lib64/libgailutil.so.18.0.1
3000606000-3000607000 rw-p 00006000 08:05 181955                         /usr/lib64/libgailutil.so.18.0.1
3000800000-3000815000 r-xp 00000000 08:05 181961                         /usr/lib64/libgnome-2.so.0.2600.0
3000815000-3000a14000 ---p 00015000 08:05 181961                         /usr/lib64/libgnome-2.so.0.2600.0
3000a14000-3000a16000 rw-p 00014000 08:05 181961                         /usr/lib64/libgnome-2.so.0.2600.0
3000c00000-3000c6a000 r-xp 00000000 08:05 181962                         /usr/lib64/libbonoboui-2.so.0.0.0
3000c6a000-3000e69000 ---p 0006a000 08:05 181962                         /usr/lib64/libbonoboui-2.so.0.0.0
3000e69000-3000e6e000 rw-p 00069000 08:05 181962                         /usr/lib64/libbonoboui-2.so.0.0.0
3001000000-300100b000 r-xp 00000000 08:05 181957                         /usr/lib64/libavahi-common.so.3.5.1
300100b000-300120b000 ---p 0000b000 08:05 181957                         /usr/lib64/libavahi-common.so.3.5.1
300120b000-300120c000 rw-p 0000b000 08:05 181957                         /usr/lib64/libavahi-common.so.3.5.1
3001c00000-3001c64000 r-xp 00000000 08:05 181960                         /usr/lib64/libgnomevfs-2.so.0.2400.1
3001c64000-3001e63000 ---p 00064000 08:05 181960                         /usr/lib64/libgnomevfs-2.so.0.2400.1
3001e63000-3001e68000 rw-p 00063000 08:05 181960                         /usr/lib64/libgnomevfs-2.so.0.2400.1
3002000000-3002007000 r-xp 00000000 08:05 78128895                       /usr/lib64/libvorbisfile.so.3.2.0
3002007000-3002206000 ---p 00007000 08:05 78128895                       /usr/lib64/libvorbisfile.so.3.2.0
3002206000-3002207000 rw-p 00006000 08:05 78128895                       /usr/lib64/libvorbisfile.so.3.2.0
3002400000-300240f000 r-xp 00000000 08:05 181959                         /usr/lib64/libavahi-client.so.3.2.5
300240f000-300260f000 ---p 0000f000 08:05 181959                         /usr/lib64/libavahi-client.so.3.2.5
300260f000-3002610000 rw-p 0000f000 08:05 181959                         /usr/lib64/libavahi-client.so.3.2.5
3004000000-3004140000 r-xp 00000000 08:05 49156182                       /usr/lib64/libxml2.so.2.7.3
3004140000-3004340000 ---p 00140000 08:05 49156182                       /usr/lib64/libxml2.so.2.7.3
3004340000-3004349000 rw-p 00140000 08:05 49156182                       /usr/lib64/libxml2.so.2.7.3
3004349000-300434b000 rw-p 3004349000 00:00 0 
3004400000-3004433000 r-xp 00000000 08:05 181956                         /usr/lib64/libgnomecanvas-2.so.0.2600.0
3004433000-3004633000 ---p 00033000 08:05 181956                         /usr/lib64/libgnomecanvas-2.so.0.2600.0
3004633000-3004635000 rw-p 00033000 08:05 181956                         /usr/lib64/libgnomecanvas-2.so.0.2600.0
3004800000-3004895000 r-xp 00000000 08:05 181963                         /usr/lib64/libgnomeui-2.so.0.2400.1
3004895000-3004a94000 ---p 00095000 08:05 181963                         /usr/lib64/libgnomeui-2.so.0.2400.1
3004a94000-3004a9a000 rw-p 00094000 08:05 181963                         /usr/lib64/libgnomeui-2.so.0.2400.1
3004c00000-3004c33000 r-xp 00000000 08:05 181931                         /usr/lib64/libfontconfig.so.1.4.1
3004c33000-3004e32000 ---p 00033000 08:05 181931                         /usr/lib64/libfontconfig.so.1.4.1
3004e32000-3004e34000 rw-p 00032000 08:05 181931                         /usr/lib64/libfontconfig.so.1.4.1
3005000000-300502c000 r-xp 00000000 08:05 181949                         /usr/lib64/libpangoft2-1.0.so.0.2400.5
300502c000-300522b000 ---p 0002c000 08:05 181949                         /usr/lib64/libpangoft2-1.0.so.0.2400.5
300522b000-300522d000 rw-p 0002b000 08:05 181949                         /usr/lib64/libpangoft2-1.0.so.0.2400.5
3005800000-3005802000 r-xp 00000000 08:05 181958                         /usr/lib64/libavahi-glib.so.1.0.1
3005802000-3005a02000 ---p 00002000 08:05 181958                         /usr/lib64/libavahi-glib.so.1.0.1
3005a02000-3005a03000 rw-p 00002000 08:05 181958                         /usr/lib64/libavahi-glib.so.1.0.1
3007800000-3007874000 r-xp 00000000 08:05 181948                         /usr/lib64/libcairo.so.2.10800.8
3007874000-3007a73000 ---p 00074000 08:05 181948                         /usr/lib64/libcairo.so.2.10800.8
3007a73000-3007a76000 rw-p 00073000 08:05 181948                         /usr/lib64/libcairo.so.2.10800.8
3008000000-300800b000 r-xp 00000000 08:05 181950                         /usr/lib64/libpangocairo-1.0.so.0.2400.5
300800b000-300820a000 ---p 0000b000 08:05 181950                         /usr/lib64/libpangocairo-1.0.so.0.2400.5
300820a000-300820b000 rw-p 0000a000 08:05 181950                         /usr/lib64/libpangocairo-1.0.so.0.2400.5
3008400000-3008499000 r-xp 00000000 08:05 181951                         /usr/lib64/libgdk-x11-2.0.so.0.1600.5
3008499000-3008699000 ---p 00099000 08:05 181951                         /usr/lib64/libgdk-x11-2.0.so.0.1600.5
3008699000-300869e000 rw-p 00099000 08:05 181951                         /usr/lib64/libgdk-x11-2.0.so.0.1600.5
3008800000-3008bd6000 r-xp 00000000 08:05 181952                         /usr/lib64/libgtk-x11-2.0.so.0.1600.5
3008bd6000-3008dd5000 ---p 003d6000 08:05 181952                         /usr/lib64/libgtk-x11-2.0.so/usr/lib64/firefox-3.5b4/run-mozilla.sh: line 131:  7280 Aborted                 "$prog" ${1+"$@"}
Comment 59 Mark Harig 2009-09-02 13:32:34 EDT
(In reply to comment #58)
> Downgraded firefox and xulrunner. Same problem. 
> 
> Then removed xine-plugin.  Fixed the problem for me. No more crashes, and flash
> works fine again.
> 
> [torel@bgo-s-101 ~]$ *** glibc detected *** /usr/lib64/firefox-3.5b4/firefox:

When possible, could you provide the URL of the flash content that you are playing?  The URL can be provided to firefox at the command line (the final argument).

I have never had xulrunner installed, but firefox still does not play some content.  Recent upgrades to some packages have stopped the crashing for me, but the crashes have been replaced by assertion failures.  I will include a list of these assertion failures as an attachment, along with the command that lead to the failures.

$ rpm -q xulrunner xine xine-plugin firefox
xulrunner-1.9.1.2-1.fc11.x86_64
package xine is not installed
package xine-plugin is not installed
firefox-3.5.2-2.fc11.x86_64

$ /etc/system-release
Fedora release 11 (Leonidas)

$ uname -sr
Linux 2.6.29.6-217.2.16.fc11.x86_64
Comment 60 Mark Harig 2009-09-02 13:37:59 EDT
Created attachment 359560 [details]
Log of assertion failures and errors reported by function calls

NSPlugin Wrapper reports numerous assertion failures along with errors reported by some function calls.
Comment 61 Tore H. Larsen 2009-09-02 15:01:54 EDT
Clip: http://www.vgtv.no/?id=23975

$ uname -ar
Linux bgo-s-101 2.6.29.6-217.2.16.fc11.x86_64 #1 SMP Mon Aug 24 17:17:40 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

$ rpm -qa \*xulrun\* \*firefox\* \*mozilla\* \*flash\* \*plugi
flash-plugin-10.0.32.18-1.x86_64
flashrom-0.9.0-1.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
xulrunner-1.9.1.2-1.fc11.x86_64
firefox-3.5.2-2.fc11.x86_64
openvrml-mozilla-plugin-0.18.2-2.fc11.x86_64
xulrunner-1.9.1.2-1.fc11.i586
python-webflash-0.1-0.1.a9.fc11.noarch
gallery2-flashvideo-2.3-14.fc11.noarch

Flash plugin:  flashplayer-10.0.32.18.linux-x86_64.so.tar.gz
Comment 62 Mark Harig 2009-09-02 16:20:57 EDT
(In reply to comment #61)
> Clip: http://www.vgtv.no/?id=23975
> 

Thanks.  I attempted to play that flash content but could not.  Firefox does not crash, but the flash player does not play -- the "screen" area of the player is blank.

Are you able to play this youtube content?

   http://www.youtube.com/falltvpreview

> 
> $ rpm -qa \*xulrun\* \*firefox\* \*mozilla\* \*flash\* \*plugi

Here is what I have installed:

$ rpm -qa \*xulrun\* \*firefox\* \*mozilla\* \*flash\* \*plugi
xulrunner-debuginfo-1.9.1.2-1.fc11.x86_64
firefox-3.5.2-2.fc11.x86_64
firefox-debuginfo-3.5.2-2.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
xulrunner-1.9.1.2-1.fc11.x86_64

Can you tell me what repository provided you with a 64-bit flash-plugin RPM?  I did not find that RPM here: http://labs.adobe.com/downloads/flashplayer10.html
There is a 32-bit 10.0.32.18 RPM provided by Adobe, however.

> flash-plugin-10.0.32.18-1.x86_64
...
> Flash plugin:  flashplayer-10.0.32.18.linux-x86_64.so.tar.gz  

I am also using the 64-bit version 10.0.32.18 flashplayer/library that Adobe provides at the URL, above.

$ sha1sum libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz 
222d35952ed7ecbbe37f8ad4c01d4c8046c4607e  libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz

$ sha1sum libflashplayer.so-10.0.32.18
8ec78fc69293eccc6aad3cb6272ba6356a522fe0  libflashplayer.so-10.0.32.18
Comment 63 Tore H. Larsen 2009-09-02 17:29:42 EDT
# file libflashplayer.so 
libflashplayer.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, stripped

# sha1sum libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz
222d35952ed7ecbbe37f8ad4c01d4c8046c4607e  libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz

# sha1sum libflashplayer.so
8ec78fc69293eccc6aad3cb6272ba6356a522fe0  libflashplayer.so

No crashes since I removed, xine-plugin. BT also shows 

$ *** glibc detected *** /usr/lib64/firefox-3.5b4/firefox:
free(): invalid pointer: 0x00007f840a199600 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3fe5875a96]
/usr/lib64/xine/plugins/1.26/xineplug_inp_dvd.so[0x7f83fcbb79e5]
/usr/lib64/libxine.so.1[0x3191617aac]
/usr/lib64/libxine.so.1(_x_scan_plugins+0x5f9)[0x319161bbb9]
/usr/lib64/libxine.so.1(xine_init+0x39)[0x319160eec9]
/usr/lib64/mozilla/plugins/xineplugin.so[0x7f83fcde67af]
/usr/lib64/mozilla/plugins/xineplugin.so(NPP_GetMIMEDescription+0x31)[0x7f83fcde75b1]

which made me suspicious.  Also tried the rpm, which worked fine.

# sha1sum /usr/lib64/flash-plugin/libflashplayer.so
48a69b94c0ba9e39adcc7eb56b7c07eda78c6de6  /usr/lib64/flash-plugin/libflashplayer.so

# rpm -qf /usr/lib64/flash-plugin/libflashplayer.so
flash-plugin-10.0.32.18-1.x86_64
Comment 64 Mark Harig 2009-09-02 18:19:28 EDT
(In reply to comment #63)
> # file libflashplayer.so 
> libflashplayer.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV),
> dynamically linked, stripped
> 
> # sha1sum libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz
> 222d35952ed7ecbbe37f8ad4c01d4c8046c4607e 
> libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz
> 
> # sha1sum libflashplayer.so
> 8ec78fc69293eccc6aad3cb6272ba6356a522fe0  libflashplayer.so
> 

Yes, your 'libflashplayer.so is identical to mine.

> No crashes since I removed, xine-plugin.

Would you please attempt the following?

  $ /usr/bin/firefox http://www.youtube.com/falltvpreview

> 
> # sha1sum /usr/lib64/flash-plugin/libflashplayer.so
> 48a69b94c0ba9e39adcc7eb56b7c07eda78c6de6 
> /usr/lib64/flash-plugin/libflashplayer.so

It's interesting that this 'libflashplayer.so' is different from the 'libflashplayer.so' listed above.

Can you tell me what 'about:plugins' reports when entered in the address bar in firefox?

> 
> # rpm -qf /usr/lib64/flash-plugin/libflashplayer.so
> flash-plugin-10.0.32.18-1.x86_64  

Can you tell me where you got a 64-bit version of 10.0.32.18 for the flash-plugin?  (what repository)  Adobe appears to provide a 32-bit version, but not a 64-bit version.  It may be that the installation of your 64-bit RPM is performing some extra steps that I am not doing when I install 'libflashplayer.so' manually.
Comment 65 Mark Harig 2009-09-02 20:00:38 EDT
Perhaps this explains why some content can be played with the 64-bit flash player / library, and some cannot:

http://labs.adobe.com/technologies/flashplayer10/releasenotes_64bit.html

"The prerelease version of the 64-bit Adobe Flash Player 10 for Linux may not be able to play some streaming video content. The 64-bit Flash Player is not yet compatible with the RTMP security measures introduced in the FMS 3.0.3 and 3.5.1 Service Packs, and content delivered using those measures will not play."

Odd that it works for Fedora 10 but not Fedora 11.
Comment 66 Tore H. Larsen 2009-09-03 04:22:33 EDT
>Would you please attempt the following?
>
>  $ /usr/bin/firefox http://www.youtube.com/falltvpreview

Works,  with the dso I got from Adobe. 

> about:config

Shockwave Flash

    File name: libflashplayer.so
    Shockwave Flash 10.0 r32

MIME Type 	Description 	Suffixes 	Enabled
application/x-shockwave-flash 	Shockwave Flash 	swf 	Yes
application/futuresplash 	FutureSplash Player 	spl 	Yes

>Can you tell me where you got a 64-bit version of 10.0.32.18 for the
>flash-plugin?  (what repository)  Adobe appears to provide a 32-bit version,
>but not a 64-bit version. 

I got it from Adobe. http://labs.adobe.com/technologies/flashplayer10/ -> http://get.adobe.com/flashplayer/ -> Choose tar.gz
Comment 68 Tore H. Larsen 2009-09-03 10:51:38 EDT
http://www.wandg.com/flash_site/ works too.  :)  

Only thing I removed was xine-plugin below. Interestingly I had two when firefox was crashing.

# yum list | grep -i xine | grep -i plug
gxine-mozplugin.x86_64                0.5.903-3.fc11              installed     
xine-plugin.x86_64                    1.0.2-2.fc11                fedora
Comment 69 Stephen E Clark 2009-09-06 21:42:30 EDT
Hi I am having the crash also. F11 latest updates as of 9/6/09. List of files all Fedora rpms except flash which is the rpm from adobe.
$ sudo rpm -qa firefox\* xulrunner\* nss\* nspr\* flash-plugin\*|sortfirefox-3.5.2-2.fc11.i586
flash-plugin-10.0.32.18-release.i386
nspr-4.8-1.fc11.i586
nspr-devel-4.8-1.fc11.i586
nss-3.12.3.99.3-2.11.4.fc11.i586
nss_compat_ossl-0.9.5-3.fc11.i586
nss_db-2.2-44.fc11.i586
nss-devel-3.12.3.99.3-2.11.4.fc11.i586
nss_ldap-264-2.fc11.i586
nss-softokn-freebl-3.12.3.99.3-2.11.4.fc11.i586
nss-tools-3.12.3.99.3-2.11.4.fc11.i586
xulrunner-1.9.1.2-1.fc11.i586
xulrunner-devel-1.9.1.2-1.fc11.i586

It happens consistently when I try to access mlb.com/mlb/gameday and select a game to watch.
Comment 70 Stephen E Clark 2009-09-07 11:16:46 EDT
(In reply to comment #69)
> Hi I am having the crash also. F11 latest updates as of 9/6/09. List of files
> all Fedora rpms except flash which is the rpm from adobe.
> $ sudo rpm -qa firefox\* xulrunner\* nss\* nspr\*
> flash-plugin\*|sortfirefox-3.5.2-2.fc11.i586
> flash-plugin-10.0.32.18-release.i386
> nspr-4.8-1.fc11.i586
> nspr-devel-4.8-1.fc11.i586
> nss-3.12.3.99.3-2.11.4.fc11.i586
> nss_compat_ossl-0.9.5-3.fc11.i586
> nss_db-2.2-44.fc11.i586
> nss-devel-3.12.3.99.3-2.11.4.fc11.i586
> nss_ldap-264-2.fc11.i586
> nss-softokn-freebl-3.12.3.99.3-2.11.4.fc11.i586
> nss-tools-3.12.3.99.3-2.11.4.fc11.i586
> xulrunner-1.9.1.2-1.fc11.i586
> xulrunner-devel-1.9.1.2-1.fc11.i586
> 
> It happens consistently when I try to access mlb.com/mlb/gameday and select a
> game to watch.  

here is debug output - gdb always hangs when it gets to thread 1 and I have to CTL-C

$ firefox -g                                                  
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.5.2                      
  LD_LIBRARY_PATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2/plugins:/usr/lib/firefox-3.5.2                                                                  
DISPLAY=:0                                                                      
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.5.2/res/Xft                       
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2                 
     LIBRARY_PATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2/components:/usr/lib/firefox-3.5.2                                                               
       SHLIB_PATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2                 
          LIBPATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2                 
       ADDON_PATH=/usr/lib/firefox-3.5.2                                        
      MOZ_PROGRAM=/usr/lib/firefox-3.5.2/firefox                                
      MOZ_TOOLKIT=                                                              
        moz_debug=1                                                             
     moz_debugger=                                                              
which: no ddd in (/usr/lib/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/sbin:/usr/sbin:/home/sclark/bin)                                                                               
/usr/bin/gdb /usr/lib/firefox-3.5.2/firefox -x /tmp/mozargs.AjkhMF              
GNU gdb (GDB) Fedora (6.8.50.20090302-38.fc11)                                  
Copyright (C) 2009 Free Software Foundation, Inc.                               
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>   
This is free software: you are free to change and redistribute it.              
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"      
and "show warranty" for details.                                                
This GDB was configured as "i586-redhat-linux-gnu".                             
For bug reporting instructions, please see:                                     
<http://www.gnu.org/software/gdb/bugs/>...                                      
(gdb) r                                                                         
Starting program: /usr/lib/firefox-3.5.2/firefox                                
[Thread debugging using libthread_db enabled]                                   
warning: .dynamic section for "/usr/lib/libX11.so.6" is not at the expected address                                                                             
warning: difference appears to be caused by prelink, adjusting expectations     
warning: .dynamic section for "/lib/libgmodule-2.0.so.0" is not at the expected address                                                                         
warning: difference appears to be caused by prelink, adjusting expectations     
warning: .dynamic section for "/lib/libcom_err.so.2" is not at the expected address                                                                             
warning: difference appears to be caused by prelink, adjusting expectations     
[New Thread 0xb77ffb70 (LWP 21717)]                                             
[New Thread 0xb6dfeb70 (LWP 21718)]                                             
[New Thread 0xb60ffb70 (LWP 21719)]                                             
[New Thread 0xb52ffb70 (LWP 21720)]                                             
[New Thread 0xb43ffb70 (LWP 21721)]                                             
[Thread 0xb52ffb70 (LWP 21720) exited]                                          
[New Thread 0xb52ffb70 (LWP 21722)]                                             
[New Thread 0xb0cffb70 (LWP 21723)]                                             
[New Thread 0xb02feb70 (LWP 21724)]                                             
[New Thread 0xaf8fdb70 (LWP 21725)]                                             
[New Thread 0xaeefcb70 (LWP 21726)]                                             
[New Thread 0xae2ffb70 (LWP 21727)]                                             
[Thread 0xaeefcb70 (LWP 21726) exited]                                          
[New Thread 0xaeefcb70 (LWP 21734)]                                             
[Thread 0xaeefcb70 (LWP 21734) exited]                                          
[New Thread 0xaeefcb70 (LWP 21746)]                                             
[Thread 0xaeefcb70 (LWP 21746) exited]                                          
[New Thread 0xaeefcb70 (LWP 21755)]                                             
[Thread 0xaeefcb70 (LWP 21755) exited]                                          
[New Thread 0xaeefcb70 (LWP 21763)]                                             
[Thread 0xaeefcb70 (LWP 21763) exited]                                          
[New Thread 0xaeefcb70 (LWP 21781)]                                             
[New Thread 0xaafffb70 (LWP 21782)]                                             
[Thread 0xaafffb70 (LWP 21782) exited]                                          
[Thread 0xaeefcb70 (LWP 21781) exited]                                          
[New Thread 0xaeefcb70 (LWP 21786)]                                             
[Thread 0xaeefcb70 (LWP 21786) exited]                                          
[New Thread 0xaeefcb70 (LWP 21792)]                                             
[Thread 0xaeefcb70 (LWP 21792) exited]                                          
[New Thread 0xaeefcb70 (LWP 21797)]                                             
[Thread 0xaeefcb70 (LWP 21797) exited]                                          
warning: .dynamic section for "/usr/lib/libQtGui.so.4" is not at the expected address                                                                           
warning: difference appears to be caused by prelink, adjusting expectations     
warning: .dynamic section for "/usr/lib/libQtCore.so.4" is not at the expected address                                                                          
warning: difference appears to be caused by prelink, adjusting expectations     
Missing separate debuginfo for /usr/lib/mozilla/plugins/nppdf.so                
NPP_GetValue()                                                                  
NPP_GetValue()                                                                  
Detaching after fork from child process 21840.                                  
[New Thread 0xaeefcb70 (LWP 21849)]                                             
[New Thread 0xaafffb70 (LWP 21850)]                                             
warning: .dynamic section for "/usr/lib/libssh2.so.1" is not at the expected address                                                                            
warning: difference appears to be caused by prelink, adjusting expectations     

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

(firefox:21714): Gdk-WARNING **: XID collision, trouble ahead

Program received signal SIGSEGV, Segmentation fault.
0x00996cbc in __pthread_mutex_lock (mutex=0xb7ed0040)
    at pthread_mutex_lock.c:47                       
47      {                                            
Current language:  auto; currently minimal           
Missing separate debuginfos, use: debuginfo-install libthai-0.1.9-7.fc11.i586
(gdb) bt                                                                     
^CQuit                                                                       
(gdb) thread apply all backtrace                                             

Thread 23 (Thread 0xaafffb70 (LWP 21850)):
#0  0x00ac9422 in __kernel_vsyscall ()    
#1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xa929c78f in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
#3  0xa93cdb3f in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
#4  0xa929cc3d in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
#5  0x00994935 in start_thread (arg=0xaafffb70) at pthread_create.c:297 
#6  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 22 (Thread 0xaeefcb70 (LWP 21849)):
#0  0x00ac9422 in __kernel_vsyscall ()    
#1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xa929c78f in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
#3  0xa93cdb3f in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
#4  0xa929cc3d in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
#5  0x00994935 in start_thread (arg=0xaeefcb70) at pthread_create.c:297 
#6  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0xae2ffb70 (LWP 21727)):
#0  0x00ac9422 in __kernel_vsyscall ()    
#1  0x009992d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0x03e806be in pt_TimedWait (cv=<value optimized out>, ml=0xb62ff100,     
    timeout=300000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292
#3  0x03e814a6 in PR_WaitCondVar (cvar=0xb610eac0, timeout=300000)           
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419                
#4  0x04623652 in nsHostResolver::GetHostToLookup (this=0xb62ef000,          
    result=0xae2ff31c) at nsHostResolver.cpp:773                             
#5  0x04624098 in nsHostResolver::ThreadFunc (arg=0xb62ef000)                
    at nsHostResolver.cpp:877                                                
#6  0x03e87871 in _pt_root (arg=0xb0eb3ed0)                                  
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228               
---Type <return> to continue, or q <return> to quit---                       
#7  0x00994935 in start_thread (arg=0xae2ffb70) at pthread_create.c:297      
#8  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130    

Thread 10 (Thread 0xaf8fdb70 (LWP 21725)):
#0  0x00ac9422 in __kernel_vsyscall ()    
#1  0x0099bfcb in read () from /lib/libpthread.so.0
#2  0x043732e1 in read (__nbytes=<value optimized out>, 
    __buf=<value optimized out>, __fd=<value optimized out>)
    at /usr/include/bits/unistd.h:45                        
#3  seekAndRead (__nbytes=<value optimized out>, __buf=<value optimized out>, 
    __fd=<value optimized out>) at sqlite3.c:23383                            
#4  unixRead (__nbytes=<value optimized out>, __buf=<value optimized out>,    
    __fd=<value optimized out>) at sqlite3.c:23412                            
#5  0x0435d19d in sqlite3OsRead (id=0x1000, pBuf=0x1000, amt=4096, offset=4096)
    at sqlite3.c:11589                                                         
#6  0x043840bf in readDbPage (pPg=<value optimized out>) at sqlite3.c:33322    
#7  sqlite3PagerAcquire (pPg=<value optimized out>) at sqlite3.c:33708         
#8  0x04384254 in sqlite3BtreeGetPage (pBt=<value optimized out>, pgno=4096,   
    ppPage=0xaf8fc940, noContent=0) at sqlite3.c:37278                         
#9  0x04385172 in getAndInitPage (pBt=0xb0e5f948, pgno=9849, ppPage=0xaf8fc940)
    at sqlite3.c:37344                                                         
#10 0x043851bb in moveToChild (pCur=0xacd8a30c, newPgno=4096)                  
    at sqlite3.c:39729                                                         
#11 0x04385304 in moveToLeftmost (pCur=0xacd8a30c) at sqlite3.c:39859          
#12 0x043c4650 in sqlite3VdbeExec (p=<value optimized out>) at sqlite3.c:53405 
#13 0x043aec4f in sqlite3Step (p=<value optimized out>) at sqlite3.c:48416     
#14 sqlite3_step (p=<value optimized out>) at sqlite3.c:48488                  
#15 0x04d6b6ec in mozStorageStatement::ExecuteStep (this=0xb0e6dd90,           
    _retval=0xaf8fcf00) at mozStorageStatement.cpp:568                         
#16 0x04c927cc in nsUrlClassifierStore::ReadEntries (this=0xb0fec814,          
    statement=0xb0e6dd90, entries=@0xaf8fcfbc)                                 
    at nsUrlClassifierDBService.cpp:684                                        
#17 0x04c929ab in nsUrlClassifierAddStore::ReadAddEntries (this=0xb0fec814,    
    hash=@0xa7db1384, tableId=3, chunkId=13585, entries=@0xaf8fcfbc)           
    at nsUrlClassifierDBService.cpp:877                                        
---Type <return> to continue, or q <return> to quit---                         
#18 0x04c9adda in nsUrlClassifierDBServiceWorker::SubChunk (this=0xb0fec800,   
    tableId=3, chunkNum=15032, entries=@0xaf8fd188)                            
    at nsUrlClassifierDBService.cpp:2669                                       
#19 0x04c9bece in nsUrlClassifierDBServiceWorker::ProcessChunk (               
    this=0xb0fec800, done=0xaf8fd220) at nsUrlClassifierDBService.cpp:2726     
#20 0x04c9c007 in nsUrlClassifierDBServiceWorker::UpdateStream (               
    this=0xb0fec800, chunk=@0xb0d019d0) at nsUrlClassifierDBService.cpp:3113   
#21 0x04eb817b in NS_InvokeByIndex_P () from /usr/lib/xulrunner-1.9.1/libxul.so
#22 0x04eaf813 in nsProxyObjectCallInfo::Run (this=0xad5c9460)                 
    at nsProxyEvent.cpp:181                                                    
#23 0x04eaa224 in nsThread::ProcessNextEvent (this=0xb0e14740, mayWait=1,      
    result=0xaf8fd2ec) at nsThread.cpp:510                                     
#24 0x04e7669f in NS_ProcessNextEvent_P (thread=0x1000, mayWait=1)             
    at nsThreadUtils.cpp:227                                                   
#25 0x04eaaa82 in nsThread::ThreadFunc (arg=0xb0e14740) at nsThread.cpp:254    
#26 0x03e87871 in _pt_root (arg=0xb10e2f50)                                    
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228                 
#27 0x00994935 in start_thread (arg=0xaf8fdb70) at pthread_create.c:297        
#28 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130      

Thread 9 (Thread 0xb02feb70 (LWP 21724)):
#0  0x00ac9422 in __kernel_vsyscall ()   
#1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0x03e81539 in PR_WaitCondVar (cvar=0xb0e12e00, timeout=4294967295)  
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417           
#3  0x04caff6e in nsCertVerificationThread::Run (this=0xb0e146f0)       
    at nsCertVerificationThread.cpp:138                                 
#4  0x04cae7ae in nsPSMBackgroundThread::nsThreadRunner (arg=0xb0e146f0)
    at nsPSMBackgroundThread.cpp:44                                     
#5  0x03e87871 in _pt_root (arg=0xb10e2df0)                             
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228          
#6  0x00994935 in start_thread (arg=0xb02feb70) at pthread_create.c:297 
#7  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

---Type <return> to continue, or q <return> to quit---
Thread 8 (Thread 0xb0cffb70 (LWP 21723)):             
#0  0x00ac9422 in __kernel_vsyscall ()                
#1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()   
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0x03e81539 in PR_WaitCondVar (cvar=0xb0e12dc0, timeout=4294967295)  
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417           
#3  0x04caeea1 in nsSSLThread::Run (this=0xb0e13740) at nsSSLThread.cpp:964
#4  0x04cae7ae in nsPSMBackgroundThread::nsThreadRunner (arg=0xb0e13740)   
    at nsPSMBackgroundThread.cpp:44                                        
#5  0x03e87871 in _pt_root (arg=0xb10e25b0)                                
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228             
#6  0x00994935 in start_thread (arg=0xb0cffb70) at pthread_create.c:297    
#7  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130  

Thread 7 (Thread 0xb52ffb70 (LWP 21722)):
#0  0x00ac9422 in __kernel_vsyscall ()   
#1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0x03e81539 in PR_WaitCondVar (cvar=0xb38067c0, timeout=4294967295)  
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417           
#3  0x03e815a7 in PR_Wait (mon=0xb3822a90, timeout=4294967295)          
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:601           
#4  0x04ea92e2 in nsAutoMonitor::Wait (interval=<value optimized out>,  
    this=<value optimized out>) at ../../dist/include/xpcom/nsAutoLock.h:340
#5  nsEventQueue::GetEvent (interval=<value optimized out>,                 
    this=<value optimized out>) at nsEventQueue.cpp:85                      
#6  0x04eaa1fe in nsThread::nsChainedEventQueue::GetEvent (                 
    event=<value optimized out>, mayWait=<value optimized out>,             
    this=<value optimized out>) at nsThread.h:112                           
#7  nsThread::ProcessNextEvent (event=<value optimized out>,                
    mayWait=<value optimized out>, this=<value optimized out>)              
    at nsThread.cpp:501                                                     
#8  0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffe00, mayWait=1)      
    at nsThreadUtils.cpp:227                                                
#9  0x04eaaa82 in nsThread::ThreadFunc (arg=0xb3821420) at nsThread.cpp:254 
---Type <return> to continue, or q <return> to quit---                      
#10 0x03e87871 in _pt_root (arg=0xb44c5b30)                                 
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228              
#11 0x00994935 in start_thread (arg=0xb52ffb70) at pthread_create.c:297     
#12 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130   

Thread 6 (Thread 0xb43ffb70 (LWP 21721)):
#0  0x00ac9422 in __kernel_vsyscall ()   
#1  0x009992d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0x03e806be in pt_TimedWait (cv=<value optimized out>, ml=0xb55d9fd4,     
    timeout=60000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292 
#3  0x03e814a6 in PR_WaitCondVar (cvar=0xb55e27c0, timeout=60000)            
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419                
#4  0x03e815a7 in PR_Wait (mon=0xb55d9fd0, timeout=60000)                    
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:601                
#5  0x04eac478 in nsAutoMonitor::Wait (interval=<value optimized out>,       
    this=<value optimized out>) at ../../dist/include/xpcom/nsAutoLock.h:340 
#6  nsThreadPool::Run (interval=<value optimized out>,                       
    this=<value optimized out>) at nsThreadPool.cpp:210                      
#7  0x04eaa224 in nsThread::ProcessNextEvent (this=0xb459ae20, mayWait=1,    
    result=0xb43ff2ec) at nsThread.cpp:510                                   
#8  0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffdfc, mayWait=1)       
    at nsThreadUtils.cpp:227                                                 
#9  0x04eaaa82 in nsThread::ThreadFunc (arg=0xb459ae20) at nsThread.cpp:254  
#10 0x03e87871 in _pt_root (arg=0xb456c0e0)                                  
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228               
#11 0x00994935 in start_thread (arg=0xb43ffb70) at pthread_create.c:297      
#12 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130    

Thread 4 (Thread 0xb60ffb70 (LWP 21719)):
#0  0x00ac9422 in __kernel_vsyscall ()   
#1  0x009992d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0x03e806be in pt_TimedWait (cv=<value optimized out>, ml=0xb7c64b20,     
    timeout=1315) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292  
---Type <return> to continue, or q <return> to quit---                       
#3  0x03e814a6 in PR_WaitCondVar (cvar=0xb7c62f40, timeout=1315)             
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419                
#4  0x04eae381 in TimerThread::Run (this=0xb7c06900) at TimerThread.cpp:345  
#5  0x04eaa224 in nsThread::ProcessNextEvent (this=0xb623d6a0, mayWait=1,    
    result=0xb60ff2ec) at nsThread.cpp:510                                   
#6  0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffdfc, mayWait=1)       
    at nsThreadUtils.cpp:227                                                 
#7  0x04eaaa82 in nsThread::ThreadFunc (arg=0xb623d6a0) at nsThread.cpp:254  
#8  0x03e87871 in _pt_root (arg=0xb781f320)                                  
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228               
#9  0x00994935 in start_thread (arg=0xb60ffb70) at pthread_create.c:297      
#10 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130    

Thread 3 (Thread 0xb6dfeb70 (LWP 21718)):
#0  0x00ac9422 in __kernel_vsyscall ()   
#1  0x009992d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0x03e806be in pt_TimedWait (cv=<value optimized out>, ml=0xb7b4ec40,     
    timeout=1000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292  
#3  0x03e814a6 in PR_WaitCondVar (cvar=0xb7b24c80, timeout=1000)             
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419                
#4  0x045a9775 in XPCJSRuntime::WatchdogMain (arg=0xb7c24000)                
    at xpcjsruntime.cpp:823                                                  
#5  0x03e87871 in _pt_root (arg=0xb7c31cc0)                                  
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228               
#6  0x00994935 in start_thread (arg=0xb6dfeb70) at pthread_create.c:297      
#7  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130    

Thread 2 (Thread 0xb77ffb70 (LWP 21717)):
#0  0x00ac9422 in __kernel_vsyscall ()
#1  0x008bf386 in *__GI___poll (fds=0x957ff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x03e8328c in _pr_poll_with_poll (pds=<value optimized out>,
    npds=<value optimized out>, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3915
---Type <return> to continue, or q <return> to quit---
#3  0x0461928d in nsSocketTransportService::Poll (this=0xb7b02800, wait=1,
    interval=0xb77ff14c) at nsSocketTransportService2.cpp:355
#4  0x046197aa in nsSocketTransportService::DoPollIteration (this=0xb7b02800,
    wait=1) at nsSocketTransportService2.cpp:660
#5  0x046199d5 in nsSocketTransportService::OnProcessNextEvent (
    this=0xb7b02800, thread=0xb7cfe1f0, mayWait=1, depth=1)
    at nsSocketTransportService2.cpp:539
#6  0x04eaa1cb in nsThread::ProcessNextEvent (this=0xb7cfe1f0, mayWait=1,
    result=0xb77ff21c) at nsThread.cpp:497
#7  0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffdfc, mayWait=1)
    at nsThreadUtils.cpp:227
#8  0x046194a0 in nsSocketTransportService::Run (this=0xb7b02800)
    at nsSocketTransportService2.cpp:581
#9  0x04eaa224 in nsThread::ProcessNextEvent (this=0xb7cfe1f0, mayWait=1,
    result=0xb77ff2ec) at nsThread.cpp:510
#10 0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffdfc, mayWait=1)
    at nsThreadUtils.cpp:227
#11 0x04eaaa82 in nsThread::ThreadFunc (arg=0xb7cfe1f0) at nsThread.cpp:254
#12 0x03e87871 in _pt_root (arg=0xb7c31530)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
#13 0x00994935 in start_thread (arg=0xb77ffb70) at pthread_create.c:297
#14 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb7fd06e0 (LWP 21714)):
^CQuit
(gdb) quit
The program is running.  Quit anyway (and kill it)? (y or n) y
Comment 71 Jussi Eloranta 2009-09-22 12:08:22 EDT
I don't know if this is related but as of this morning (9/22/09; all updates installed), both firefox and galeon core dump when I start them (does not even open window). Seamonkey runs just fine. I did not have problems earlier.
Comment 72 blachniom 2009-09-27 07:01:36 EDT
Hi,
Fedora 11 here also. Firefox crashes for me when used out-of-the-box with any Flash-enabled site.
I've read about the workaround to remove some library from FF root directory for Flash to work, but simply forgot the name of the proper library to delete.
Strange thing is, trying randomly I've renamed the libnss3.so library (instead of the above suggested libfreebl3.so) from inside Firefox (3.5.3) directory to something else and the Flash sites started to open correctly right away.
Same result was when I've renamed the libfreebl3.so delivered with one of the previous versions of FF (3.5 I believe) leaving the libnss3.so unchanged. It's still the case with the current 3.5.3 version.
So, apparently, there's more to it than just one colliding library.
Regards
Comment 73 Kev 'Kyrian' Green 2009-10-19 15:36:20 EDT
I am seeing the same (which is to say the page loads, I get a black box as if content is about to play and after about a second, firefox dies on me, on a 64-bit Fedora install, with the 64-bit version of the flash plugin library downloaded from Adobe's site. 

It's this archive from Adobe:

libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz

It would seem to happen for any youtube video you care to mention, and for the flash front page of the website one of my customers launched today. *sigh*. Hence i'm pushed over the threshold of reporting on this now.

I've tried all the suggestions above, to no avail, with and without nspluginwrapper.

My system too has been upgraded through several versions of FC, although I've generally followed the YumUpgradeFaq recommendations to keep it as clean as possible. 

Eventually I realised that I had some legacy stuff (eg. wine emulation) nailing my system to having 2 versions of glibc (both x86_64 and i686), so I removed the i686 version, and now only have the x86_64 glibc installed (you should only need one or the other, not both, AFAIK now, so if 'rpm -q glibc' shows up two packages that might be where your problem is. PITA to fix, mind you!).

I also wrote a script to kill of any (non-RPM-owned) files from /usr/lib/ and /lib/ that doesn't have a companion in /lib64 or /usr/lib64/ in desperation after the aforementioned tactic didn't work. That script didn't solve this bug either, although I can publish it if people think it'll help them.

Here's my list of installed packages as requested:

xfce4-datetime-plugin-0.6.1-4.fc12.x86_64
xfce4-fsguard-plugin-0.4.2-4.fc12.x86_64
nspluginwrapper-1.3.0-8.fc12.x86_64
claws-mail-plugins-attachwarner-3.7.3-1.fc12.x86_64
xfce4-weather-plugin-0.7.3-1.fc12.x86_64
purple-plugin_pack-2.4.0-4.fc12.x86_64
kipi-plugins-0.7.0-1.fc12.x86_64
xfce4-genmon-plugin-3.2-4.fc12.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-7.fc12.x86_64
xfce4-netload-plugin-0.4.0-12.fc12.x86_64
konq-plugins-4.3.1-2.fc12.x86_64
xfce4-screenshooter-plugin-1.6.0-2.fc12.x86_64
xfce4-timer-plugin-0.6.1-4.fc12.x86_64
xfce4-clipman-plugin-1.1.0-1.fc12.x86_64
vamp-plugin-sdk-2.0-6.fc12.x86_64
yum-plugin-fastestmirror-1.1.23-3.fc12.noarch
purple-plugin_pack-pidgin-2.4.0-4.fc12.x86_64
xfce4-xkb-plugin-0.5.3.3-1.fc12.x86_64
xfce4-dict-plugin-0.5.3-3.fc12.x86_64
gstreamer-plugins-ugly-0.10.12-2.fc11.x86_64
audacious-plugins-esd-2.1-4.fc12.x86_64
PackageKit-yum-plugin-0.5.3-1.fc12.x86_64
thunar-media-tags-plugin-0.1.2-7.fc12.x86_64
audacious-plugins-freeworld-wma-1.5.1-2.fc11.x86_64
claws-mail-plugins-notification-3.7.3-1.fc12.x86_64
audacious-plugins-wavpack-2.1-4.fc12.x86_64
xfce4-systemload-plugin-0.4.2-8.fc12.x86_64
xulrunner-python-1.9.1.3-1.fc12.x86_64
plymouth-plugin-two-step-0.8.0-0.2009.29.09.11.fc12.x86_64
xulrunner-debuginfo-1.9.1.3-1.fc12.x86_64
xfce4-xfapplet-plugin-0.1.0-9.fc12.x86_64
audacious-plugins-jack-2.1-4.fc12.x86_64
plymouth-plugin-label-0.8.0-0.2009.29.09.11.fc12.x86_64
xfce4-sensors-plugin-0.10.99.6-5.fc12.x86_64
mozilla-filesystem-1.9-5.fc12.x86_64
thunar-archive-plugin-0.2.4-7.fc12.x86_64
alsa-plugins-pulseaudio-1.0.21-2.fc12.x86_64
xfce4-smartbookmark-plugin-0.4.2-10.fc12.x86_64
xfce4-quicklauncher-plugin-1.9.4-7.fc12.x86_64
xfce4-mailwatch-plugin-1.1.0-4.fc12.x86_64
xfce4-websearch-plugin-0.1.1-0.12.20070428svn2704.fc12.x86_64
setroubleshoot-plugins-2.1.28-1.fc12.noarch
kipi-plugins-libs-0.7.0-1.fc12.x86_64
gstreamer-plugins-good-0.10.16-2.fc12.x86_64
yum-plugin-protectbase-1.1.23-3.fc12.noarch
gutenprint-plugin-5.2.4-6.fc12.x86_64
audacious-plugins-amidi-2.1-4.fc12.x86_64
xfce4-places-plugin-1.2.0-1.fc12.x86_64
gdm-plugin-fingerprint-2.28.0-9.fc12.x86_64
gstreamer-plugins-base-0.10.25-2.fc12.x86_64
claws-mail-plugins-dillo-3.7.3-1.fc12.x86_64
xfce4-diskperf-plugin-2.2.0-5.fc12.x86_64
audacious-plugins-vortex-2.1-4.fc12.x86_64
PackageKit-gstreamer-plugin-0.5.3-1.fc12.x86_64
xfce4-mount-plugin-0.5.5-4.fc12.x86_64
plymouth-plugin-space-flares-0.8.0-0.2009.29.09.11.fc12.x86_64
xulrunner-1.9.1.3-1.fc12.x86_64
audacious-plugins-freeworld-mms-1.5.1-2.fc11.x86_64
audacious-plugins-metronome-2.1-4.fc12.x86_64
audacious-plugins-freeworld-alac-1.5.1-2.fc11.x86_64
xfce4-notes-plugin-1.7.1-1.fc12.x86_64
anaconda-yum-plugins-1.0-5.fc12.noarch
java-1.6.0-openjdk-plugin-1.6.0.0-31.b16.fc12.x86_64
xfce4-cpugraph-plugin-0.4.0-6.fc12.x86_64
abrt-plugin-kerneloopsreporter-0.0.10-1.fc12.x86_64
xfce4-time-out-plugin-0.1.1-4.fc12.x86_64
audacious-plugins-2.1-4.fc12.x86_64
xfce4-verve-plugin-0.3.6-4.fc12.x86_64

~/.xsession-errors:

[**LOADS** of XID collision warnings]

(firefox:1787): Gdk-WARNING **: XID collision, trouble ahead
handle_message(member:'NameOwnerChanged')
/usr/lib64/firefox-3.5.3/run-mozilla.sh: line 131:  1787 Illegal instruction     "$prog" ${1+"$@"}
handle_message(member:'NameOwnerChanged')

Here's some general info:

Fedora release 11.92 (Rawhide)
model name      : AMD Athlon(tm) 64 Processor 3000+
MemTotal:        2021564 kB
Linux MYBOX.MYDOMAIN 2.6.31-0.103.rc4.git2.fc12.x86_64 #1 SMP Tue Jul 28 15:51:40 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

I wish it wasn't a rawhide install, but the rhythmbox CD playing bug forced my hand because of my noisy office. Having to build a custom thunderbird2 package to get my per-account inboxes back was quite annoying as well [that's a bug I'm not annoyed enough about to file!] :(

I'll attach a backtrace momentarily.
Comment 74 Kev 'Kyrian' Green 2009-10-19 15:38:10 EDT
Created attachment 365270 [details]
Multi-thread backtrace of firefox flash plugin crash.

Apologies for the pagination, I didn't know that's how it would be presented until it was too late. Hope it makes sense to someone anyway, it makes my brain hurt to look at the thing.
Comment 75 Martin F 2009-11-01 01:09:41 EST
Created attachment 366993 [details]
gdb output at the time of firefox crash
Comment 76 Martin F 2009-11-01 01:19:50 EST
Same problem with latest firefox update from fedora repo and flash player 10
64-bit.

output of rpm -qa firefox\* xulrunner\* nss\* nspr\*:

xulrunner-devel-1.9.1.4-1.fc11.x86_64
nss-softokn-freebl-3.12.4-3.fc11.i586
nss_db-2.2-44.fc11.x86_64
nss-3.12.4-3.fc11.x86_64
nspr-devel-4.8-1.fc11.x86_64
nss_compat_ossl-0.9.5-3.fc11.x86_64
nspr-4.8-1.fc11.x86_64
nss-tools-3.12.4-3.fc11.x86_64
nss_ldap-264-2.fc11.x86_64
xulrunner-1.9.1.4-1.fc11.x86_64
nss-devel-3.12.4-3.fc11.x86_64
nss-softokn-freebl-3.12.4-3.fc11.x86_64
nss-mdns-0.10-7.fc11.i586
firefox-3.5.4-1.fc11.x86_64

Attached the gdb output https://bugzilla.redhat.com/attachment.cgi?id=366993
Sorry, no debug-info, but it clearly shows the illegal instruction is within
libflashplayer.so.

Note that all my machines with >=2GB RAM (all have nVidia proprietary driver)
have no problem with flash, although they usually hang firefox from time to
time. Only my machine with 768MB RAM consistently crashes firefox (uses ATI
open source driver, if that matters)

I'd guess that there is a bug in libflashplayer.so that manifests readily with
small (<1GB) memory but goes undetected with large memory (probably low
probability of badly modifying stack)
Comment 77 Kai Engert (:kaie) 2009-11-03 14:47:26 EST
Do you belong to "group rpm" or "group download"?


I think we should distinguish this bug in two separate scenarios.

- some people use Firefox+Xulrunner rpm packages, as provided by Fedora (original install, or updated using yum, or one of the Fedora GUI tools to update). Let's call these people "group rpm".

- some people use a Firefox which they have downloaded directly from a mozilla site, in .tar.bz2 format. They have extraced the archive and explicitly run firefox from the extracted directory, probably somewhere in /home/user/Download/firefox


I think this bug was originally about "group download".

If you are a member of "group download", could you please try the following?
When you start firefox, please add LD_PRELOAD="/lib/libfreebl3.so"

In other words, if you currently start firefox similar to this:
  cd /home/user/Download/firefox
  ./firefox
then please use
  cd /home/user/Download/firefox
  LD_PRELOAD="/lib/libfreebl3.so" ./firefox

Does this fix the crash for you?
It fixes it for me.


I think the more recent comments in this bug are about "group rpm".
I don't have any idea why nspr or nss would cause a crash in flashplayer.
I suspect all people of "group rpm" who experience a crash in flash suffer from a bug in flash itself.


I propose, this bug 505365 shall be for "group download".

All discussion from members of "group rpm" should be moved to a new separate bug report.
Comment 78 Kai Engert (:kaie) 2009-11-03 16:17:31 EST
If you are from "group download",
and the
  LD_PRELOAD="/lib/libfreebl3.so" ./firefox
still gives you crashes,
then please try to remove all of the following files from your downloaded firefox directory:

libnspr4.so
libplc4.so
libplds4.so

libfreebl3.so
libnss3.so
libnssdbm3.so
libnssutil3.so
libsmime3.so
libsoftokn3.so
libssl3.so

I consider to recommend that nspr and nss shall, from now on, be considered system libraries of a linux distribution, and that mozilla.com should no longer include these files with the firefox distribution package.

(However, it might be necessary to make these files available as a separate download, for those who don't have them.)
Comment 79 Kai Engert (:kaie) 2009-11-09 16:58:21 EST
Long comment, trying to summarize. If you still have a problem with flash and firefox, please read in detail.

=====
First, make sure you no longer have libflashsupport installed


=====
If you have downloaded and extracted Firefox from a mozilla.com site, then this bug is confirmed, and I've created a wiki page to document the knowledge around this issue:
https://fedoraproject.org/wiki/Mozilla_NSS_Conflict

If you're using 32 bit Mozilla, and the instructions on that page don't help you, please let us know.

If you're using 64 bit Mozilla with 64 bit Flash, and some flash content works, but some flash content does not, your issue should be reported to Adobe.


=====
If you
- (still) crash using Firefox with Flash
and
- you have NOT downloaded Firefox yourself
in other words
- you use Firefox software that is provided by Fedora as a RPM

then please cc yourself to bug 533959 and shortly reconfirm your problem, mentioning whether you use 32 or 64 bit software.

I believe there is no crash with 32 bit flash and 32 bit fedora firefox, so your comments (or reconfirmation) are of interest.

I understand there is a crash with 64 bit flash using some content, but some other flash content works fine.



I don't understand why Vassilios crashes, he said (in comment 47 and comment 50) he crashes using 32 bit Fedora RPM, NOT firefox downloaded from mozilla.com


If I understand correctly, Jani's crash was fixed by removing libflashsupport (comment 48).


I don't understand why Stephen crashes (comment 69), he uses 32 bit Firefox, apparently the Fedora RPM version. I never crash when I visit the site mentioned in comment 69.


Vassilios, Jani, Stephen, if I'm correct you're using Fedora RPMs, only, when crashing, then let's move your bug analysis to bug 533959.
Comment 80 Stephen E Clark 2009-11-10 08:51:26 EST
(In reply to comment #70)
> (In reply to comment #69)
> > Hi I am having the crash also. F11 latest updates as of 9/6/09. List of files
> > all Fedora rpms except flash which is the rpm from adobe.
> > $ sudo rpm -qa firefox\* xulrunner\* nss\* nspr\*
> > flash-plugin\*|sortfirefox-3.5.2-2.fc11.i586
> > flash-plugin-10.0.32.18-release.i386
> > nspr-4.8-1.fc11.i586
> > nspr-devel-4.8-1.fc11.i586
> > nss-3.12.3.99.3-2.11.4.fc11.i586
> > nss_compat_ossl-0.9.5-3.fc11.i586
> > nss_db-2.2-44.fc11.i586
> > nss-devel-3.12.3.99.3-2.11.4.fc11.i586
> > nss_ldap-264-2.fc11.i586
> > nss-softokn-freebl-3.12.3.99.3-2.11.4.fc11.i586
> > nss-tools-3.12.3.99.3-2.11.4.fc11.i586
> > xulrunner-1.9.1.2-1.fc11.i586
> > xulrunner-devel-1.9.1.2-1.fc11.i586
> > 
> > It happens consistently when I try to access mlb.com/mlb/gameday and select a
> > game to watch.  
> 
> here is debug output - gdb always hangs when it gets to thread 1 and I have to
> CTL-C
> 
> $ firefox -g                                                  
> MOZILLA_FIVE_HOME=/usr/lib/firefox-3.5.2                      
>  
> LD_LIBRARY_PATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2/plugins:/usr/lib/firefox-3.5.2 
> DISPLAY=:0                                                                      
> FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.5.2/res/Xft                       
> DYLD_LIBRARY_PATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2                 
>     
> LIBRARY_PATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2/components:/usr/lib/firefox-3.5.2 
>        SHLIB_PATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2                 
>           LIBPATH=/usr/lib/firefox-3.5.2:/usr/lib/firefox-3.5.2                 
>        ADDON_PATH=/usr/lib/firefox-3.5.2                                        
>       MOZ_PROGRAM=/usr/lib/firefox-3.5.2/firefox                                
>       MOZ_TOOLKIT=                                                              
>         moz_debug=1                                                             
>      moz_debugger=                                                              
> which: no ddd in
> (/usr/lib/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/sbin:/usr/sbin:/home/sclark/bin) 
> /usr/bin/gdb /usr/lib/firefox-3.5.2/firefox -x /tmp/mozargs.AjkhMF              
> GNU gdb (GDB) Fedora (6.8.50.20090302-38.fc11)                                  
> Copyright (C) 2009 Free Software Foundation, Inc.                               
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>   
> This is free software: you are free to change and redistribute it.              
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"      
> and "show warranty" for details.                                                
> This GDB was configured as "i586-redhat-linux-gnu".                             
> For bug reporting instructions, please see:                                     
> <http://www.gnu.org/software/gdb/bugs/>...                                      
> (gdb) r                                                                         
> Starting program: /usr/lib/firefox-3.5.2/firefox                                
> [Thread debugging using libthread_db enabled]                                   
> warning: .dynamic section for "/usr/lib/libX11.so.6" is not at the expected
> address                                                                         
> warning: difference appears to be caused by prelink, adjusting expectations     
> warning: .dynamic section for "/lib/libgmodule-2.0.so.0" is not at the expected
> address                                                                         
> warning: difference appears to be caused by prelink, adjusting expectations     
> warning: .dynamic section for "/lib/libcom_err.so.2" is not at the expected
> address                                                                         
> warning: difference appears to be caused by prelink, adjusting expectations     
> [New Thread 0xb77ffb70 (LWP 21717)]                                             
> [New Thread 0xb6dfeb70 (LWP 21718)]                                             
> [New Thread 0xb60ffb70 (LWP 21719)]                                             
> [New Thread 0xb52ffb70 (LWP 21720)]                                             
> [New Thread 0xb43ffb70 (LWP 21721)]                                             
> [Thread 0xb52ffb70 (LWP 21720) exited]                                          
> [New Thread 0xb52ffb70 (LWP 21722)]                                             
> [New Thread 0xb0cffb70 (LWP 21723)]                                             
> [New Thread 0xb02feb70 (LWP 21724)]                                             
> [New Thread 0xaf8fdb70 (LWP 21725)]                                             
> [New Thread 0xaeefcb70 (LWP 21726)]                                             
> [New Thread 0xae2ffb70 (LWP 21727)]                                             
> [Thread 0xaeefcb70 (LWP 21726) exited]                                          
> [New Thread 0xaeefcb70 (LWP 21734)]                                             
> [Thread 0xaeefcb70 (LWP 21734) exited]                                          
> [New Thread 0xaeefcb70 (LWP 21746)]                                             
> [Thread 0xaeefcb70 (LWP 21746) exited]                                          
> [New Thread 0xaeefcb70 (LWP 21755)]                                             
> [Thread 0xaeefcb70 (LWP 21755) exited]                                          
> [New Thread 0xaeefcb70 (LWP 21763)]                                             
> [Thread 0xaeefcb70 (LWP 21763) exited]                                          
> [New Thread 0xaeefcb70 (LWP 21781)]                                             
> [New Thread 0xaafffb70 (LWP 21782)]                                             
> [Thread 0xaafffb70 (LWP 21782) exited]                                          
> [Thread 0xaeefcb70 (LWP 21781) exited]                                          
> [New Thread 0xaeefcb70 (LWP 21786)]                                             
> [Thread 0xaeefcb70 (LWP 21786) exited]                                          
> [New Thread 0xaeefcb70 (LWP 21792)]                                             
> [Thread 0xaeefcb70 (LWP 21792) exited]                                          
> [New Thread 0xaeefcb70 (LWP 21797)]                                             
> [Thread 0xaeefcb70 (LWP 21797) exited]                                          
> warning: .dynamic section for "/usr/lib/libQtGui.so.4" is not at the expected
> address                                                                         
> warning: difference appears to be caused by prelink, adjusting expectations     
> warning: .dynamic section for "/usr/lib/libQtCore.so.4" is not at the expected
> address                                                                         
> warning: difference appears to be caused by prelink, adjusting expectations     
> Missing separate debuginfo for /usr/lib/mozilla/plugins/nppdf.so                
> NPP_GetValue()                                                                  
> NPP_GetValue()                                                                  
> Detaching after fork from child process 21840.                                  
> [New Thread 0xaeefcb70 (LWP 21849)]                                             
> [New Thread 0xaafffb70 (LWP 21850)]                                             
> warning: .dynamic section for "/usr/lib/libssh2.so.1" is not at the expected
> address                                                                         
> warning: difference appears to be caused by prelink, adjusting expectations     
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> (firefox:21714): Gdk-WARNING **: XID collision, trouble ahead
> 
> Program received signal SIGSEGV, Segmentation fault.
> 0x00996cbc in __pthread_mutex_lock (mutex=0xb7ed0040)
>     at pthread_mutex_lock.c:47                       
> 47      {                                            
> Current language:  auto; currently minimal           
> Missing separate debuginfos, use: debuginfo-install libthai-0.1.9-7.fc11.i586
> (gdb) bt                                                                     
> ^CQuit                                                                       
> (gdb) thread apply all backtrace                                             
> 
> Thread 23 (Thread 0xaafffb70 (LWP 21850)):
> #0  0x00ac9422 in __kernel_vsyscall ()    
> #1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()
>     at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
> #2  0xa929c78f in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
> #3  0xa93cdb3f in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
> #4  0xa929cc3d in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
> #5  0x00994935 in start_thread (arg=0xaafffb70) at pthread_create.c:297 
> #6  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
> 
> Thread 22 (Thread 0xaeefcb70 (LWP 21849)):
> #0  0x00ac9422 in __kernel_vsyscall ()    
> #1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()
>     at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
> #2  0xa929c78f in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
> #3  0xa93cdb3f in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
> #4  0xa929cc3d in ?? () from /usr/lib/flash-plugin/libflashplayer.so    
> #5  0x00994935 in start_thread (arg=0xaeefcb70) at pthread_create.c:297 
> #6  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
> 
> Thread 12 (Thread 0xae2ffb70 (LWP 21727)):
> #0  0x00ac9422 in __kernel_vsyscall ()    
> #1  0x009992d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
>     at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
> #2  0x03e806be in pt_TimedWait (cv=<value optimized out>, ml=0xb62ff100,     
>     timeout=300000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292
> #3  0x03e814a6 in PR_WaitCondVar (cvar=0xb610eac0, timeout=300000)           
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419                
> #4  0x04623652 in nsHostResolver::GetHostToLookup (this=0xb62ef000,          
>     result=0xae2ff31c) at nsHostResolver.cpp:773                             
> #5  0x04624098 in nsHostResolver::ThreadFunc (arg=0xb62ef000)                
>     at nsHostResolver.cpp:877                                                
> #6  0x03e87871 in _pt_root (arg=0xb0eb3ed0)                                  
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228               
> ---Type <return> to continue, or q <return> to quit---                       
> #7  0x00994935 in start_thread (arg=0xae2ffb70) at pthread_create.c:297      
> #8  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130    
> 
> Thread 10 (Thread 0xaf8fdb70 (LWP 21725)):
> #0  0x00ac9422 in __kernel_vsyscall ()    
> #1  0x0099bfcb in read () from /lib/libpthread.so.0
> #2  0x043732e1 in read (__nbytes=<value optimized out>, 
>     __buf=<value optimized out>, __fd=<value optimized out>)
>     at /usr/include/bits/unistd.h:45                        
> #3  seekAndRead (__nbytes=<value optimized out>, __buf=<value optimized out>, 
>     __fd=<value optimized out>) at sqlite3.c:23383                            
> #4  unixRead (__nbytes=<value optimized out>, __buf=<value optimized out>,    
>     __fd=<value optimized out>) at sqlite3.c:23412                            
> #5  0x0435d19d in sqlite3OsRead (id=0x1000, pBuf=0x1000, amt=4096, offset=4096)
>     at sqlite3.c:11589                                                         
> #6  0x043840bf in readDbPage (pPg=<value optimized out>) at sqlite3.c:33322    
> #7  sqlite3PagerAcquire (pPg=<value optimized out>) at sqlite3.c:33708         
> #8  0x04384254 in sqlite3BtreeGetPage (pBt=<value optimized out>, pgno=4096,   
>     ppPage=0xaf8fc940, noContent=0) at sqlite3.c:37278                         
> #9  0x04385172 in getAndInitPage (pBt=0xb0e5f948, pgno=9849, ppPage=0xaf8fc940)
>     at sqlite3.c:37344                                                         
> #10 0x043851bb in moveToChild (pCur=0xacd8a30c, newPgno=4096)                  
>     at sqlite3.c:39729                                                         
> #11 0x04385304 in moveToLeftmost (pCur=0xacd8a30c) at sqlite3.c:39859          
> #12 0x043c4650 in sqlite3VdbeExec (p=<value optimized out>) at sqlite3.c:53405 
> #13 0x043aec4f in sqlite3Step (p=<value optimized out>) at sqlite3.c:48416     
> #14 sqlite3_step (p=<value optimized out>) at sqlite3.c:48488                  
> #15 0x04d6b6ec in mozStorageStatement::ExecuteStep (this=0xb0e6dd90,           
>     _retval=0xaf8fcf00) at mozStorageStatement.cpp:568                         
> #16 0x04c927cc in nsUrlClassifierStore::ReadEntries (this=0xb0fec814,          
>     statement=0xb0e6dd90, entries=@0xaf8fcfbc)                                 
>     at nsUrlClassifierDBService.cpp:684                                        
> #17 0x04c929ab in nsUrlClassifierAddStore::ReadAddEntries (this=0xb0fec814,    
>     hash=@0xa7db1384, tableId=3, chunkId=13585, entries=@0xaf8fcfbc)           
>     at nsUrlClassifierDBService.cpp:877                                        
> ---Type <return> to continue, or q <return> to quit---                         
> #18 0x04c9adda in nsUrlClassifierDBServiceWorker::SubChunk (this=0xb0fec800,   
>     tableId=3, chunkNum=15032, entries=@0xaf8fd188)                            
>     at nsUrlClassifierDBService.cpp:2669                                       
> #19 0x04c9bece in nsUrlClassifierDBServiceWorker::ProcessChunk (               
>     this=0xb0fec800, done=0xaf8fd220) at nsUrlClassifierDBService.cpp:2726     
> #20 0x04c9c007 in nsUrlClassifierDBServiceWorker::UpdateStream (               
>     this=0xb0fec800, chunk=@0xb0d019d0) at nsUrlClassifierDBService.cpp:3113   
> #21 0x04eb817b in NS_InvokeByIndex_P () from /usr/lib/xulrunner-1.9.1/libxul.so
> #22 0x04eaf813 in nsProxyObjectCallInfo::Run (this=0xad5c9460)                 
>     at nsProxyEvent.cpp:181                                                    
> #23 0x04eaa224 in nsThread::ProcessNextEvent (this=0xb0e14740, mayWait=1,      
>     result=0xaf8fd2ec) at nsThread.cpp:510                                     
> #24 0x04e7669f in NS_ProcessNextEvent_P (thread=0x1000, mayWait=1)             
>     at nsThreadUtils.cpp:227                                                   
> #25 0x04eaaa82 in nsThread::ThreadFunc (arg=0xb0e14740) at nsThread.cpp:254    
> #26 0x03e87871 in _pt_root (arg=0xb10e2f50)                                    
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228                 
> #27 0x00994935 in start_thread (arg=0xaf8fdb70) at pthread_create.c:297        
> #28 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130      
> 
> Thread 9 (Thread 0xb02feb70 (LWP 21724)):
> #0  0x00ac9422 in __kernel_vsyscall ()   
> #1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()
>     at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
> #2  0x03e81539 in PR_WaitCondVar (cvar=0xb0e12e00, timeout=4294967295)  
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417           
> #3  0x04caff6e in nsCertVerificationThread::Run (this=0xb0e146f0)       
>     at nsCertVerificationThread.cpp:138                                 
> #4  0x04cae7ae in nsPSMBackgroundThread::nsThreadRunner (arg=0xb0e146f0)
>     at nsPSMBackgroundThread.cpp:44                                     
> #5  0x03e87871 in _pt_root (arg=0xb10e2df0)                             
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228          
> #6  0x00994935 in start_thread (arg=0xb02feb70) at pthread_create.c:297 
> #7  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
> 
> ---Type <return> to continue, or q <return> to quit---
> Thread 8 (Thread 0xb0cffb70 (LWP 21723)):             
> #0  0x00ac9422 in __kernel_vsyscall ()                
> #1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()   
>     at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
> #2  0x03e81539 in PR_WaitCondVar (cvar=0xb0e12dc0, timeout=4294967295)  
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417           
> #3  0x04caeea1 in nsSSLThread::Run (this=0xb0e13740) at nsSSLThread.cpp:964
> #4  0x04cae7ae in nsPSMBackgroundThread::nsThreadRunner (arg=0xb0e13740)   
>     at nsPSMBackgroundThread.cpp:44                                        
> #5  0x03e87871 in _pt_root (arg=0xb10e25b0)                                
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228             
> #6  0x00994935 in start_thread (arg=0xb0cffb70) at pthread_create.c:297    
> #7  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130  
> 
> Thread 7 (Thread 0xb52ffb70 (LWP 21722)):
> #0  0x00ac9422 in __kernel_vsyscall ()   
> #1  0x00998fa5 in pthread_cond_wait@@GLIBC_2.3.2 ()
>     at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
> #2  0x03e81539 in PR_WaitCondVar (cvar=0xb38067c0, timeout=4294967295)  
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417           
> #3  0x03e815a7 in PR_Wait (mon=0xb3822a90, timeout=4294967295)          
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:601           
> #4  0x04ea92e2 in nsAutoMonitor::Wait (interval=<value optimized out>,  
>     this=<value optimized out>) at ../../dist/include/xpcom/nsAutoLock.h:340
> #5  nsEventQueue::GetEvent (interval=<value optimized out>,                 
>     this=<value optimized out>) at nsEventQueue.cpp:85                      
> #6  0x04eaa1fe in nsThread::nsChainedEventQueue::GetEvent (                 
>     event=<value optimized out>, mayWait=<value optimized out>,             
>     this=<value optimized out>) at nsThread.h:112                           
> #7  nsThread::ProcessNextEvent (event=<value optimized out>,                
>     mayWait=<value optimized out>, this=<value optimized out>)              
>     at nsThread.cpp:501                                                     
> #8  0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffe00, mayWait=1)      
>     at nsThreadUtils.cpp:227                                                
> #9  0x04eaaa82 in nsThread::ThreadFunc (arg=0xb3821420) at nsThread.cpp:254 
> ---Type <return> to continue, or q <return> to quit---                      
> #10 0x03e87871 in _pt_root (arg=0xb44c5b30)                                 
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228              
> #11 0x00994935 in start_thread (arg=0xb52ffb70) at pthread_create.c:297     
> #12 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130   
> 
> Thread 6 (Thread 0xb43ffb70 (LWP 21721)):
> #0  0x00ac9422 in __kernel_vsyscall ()   
> #1  0x009992d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
>     at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
> #2  0x03e806be in pt_TimedWait (cv=<value optimized out>, ml=0xb55d9fd4,     
>     timeout=60000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292 
> #3  0x03e814a6 in PR_WaitCondVar (cvar=0xb55e27c0, timeout=60000)            
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419                
> #4  0x03e815a7 in PR_Wait (mon=0xb55d9fd0, timeout=60000)                    
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:601                
> #5  0x04eac478 in nsAutoMonitor::Wait (interval=<value optimized out>,       
>     this=<value optimized out>) at ../../dist/include/xpcom/nsAutoLock.h:340 
> #6  nsThreadPool::Run (interval=<value optimized out>,                       
>     this=<value optimized out>) at nsThreadPool.cpp:210                      
> #7  0x04eaa224 in nsThread::ProcessNextEvent (this=0xb459ae20, mayWait=1,    
>     result=0xb43ff2ec) at nsThread.cpp:510                                   
> #8  0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffdfc, mayWait=1)       
>     at nsThreadUtils.cpp:227                                                 
> #9  0x04eaaa82 in nsThread::ThreadFunc (arg=0xb459ae20) at nsThread.cpp:254  
> #10 0x03e87871 in _pt_root (arg=0xb456c0e0)                                  
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228               
> #11 0x00994935 in start_thread (arg=0xb43ffb70) at pthread_create.c:297      
> #12 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130    
> 
> Thread 4 (Thread 0xb60ffb70 (LWP 21719)):
> #0  0x00ac9422 in __kernel_vsyscall ()   
> #1  0x009992d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
>     at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
> #2  0x03e806be in pt_TimedWait (cv=<value optimized out>, ml=0xb7c64b20,     
>     timeout=1315) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292  
> ---Type <return> to continue, or q <return> to quit---                       
> #3  0x03e814a6 in PR_WaitCondVar (cvar=0xb7c62f40, timeout=1315)             
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419                
> #4  0x04eae381 in TimerThread::Run (this=0xb7c06900) at TimerThread.cpp:345  
> #5  0x04eaa224 in nsThread::ProcessNextEvent (this=0xb623d6a0, mayWait=1,    
>     result=0xb60ff2ec) at nsThread.cpp:510                                   
> #6  0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffdfc, mayWait=1)       
>     at nsThreadUtils.cpp:227                                                 
> #7  0x04eaaa82 in nsThread::ThreadFunc (arg=0xb623d6a0) at nsThread.cpp:254  
> #8  0x03e87871 in _pt_root (arg=0xb781f320)                                  
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228               
> #9  0x00994935 in start_thread (arg=0xb60ffb70) at pthread_create.c:297      
> #10 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130    
> 
> Thread 3 (Thread 0xb6dfeb70 (LWP 21718)):
> #0  0x00ac9422 in __kernel_vsyscall ()   
> #1  0x009992d2 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
>     at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
> #2  0x03e806be in pt_TimedWait (cv=<value optimized out>, ml=0xb7b4ec40,     
>     timeout=1000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:292  
> #3  0x03e814a6 in PR_WaitCondVar (cvar=0xb7b24c80, timeout=1000)             
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:419                
> #4  0x045a9775 in XPCJSRuntime::WatchdogMain (arg=0xb7c24000)                
>     at xpcjsruntime.cpp:823                                                  
> #5  0x03e87871 in _pt_root (arg=0xb7c31cc0)                                  
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228               
> #6  0x00994935 in start_thread (arg=0xb6dfeb70) at pthread_create.c:297      
> #7  0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130    
> 
> Thread 2 (Thread 0xb77ffb70 (LWP 21717)):
> #0  0x00ac9422 in __kernel_vsyscall ()
> #1  0x008bf386 in *__GI___poll (fds=0x957ff4, nfds=1, timeout=-1)
>     at ../sysdeps/unix/sysv/linux/poll.c:87
> #2  0x03e8328c in _pr_poll_with_poll (pds=<value optimized out>,
>     npds=<value optimized out>, timeout=4294967295)
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3915
> ---Type <return> to continue, or q <return> to quit---
> #3  0x0461928d in nsSocketTransportService::Poll (this=0xb7b02800, wait=1,
>     interval=0xb77ff14c) at nsSocketTransportService2.cpp:355
> #4  0x046197aa in nsSocketTransportService::DoPollIteration (this=0xb7b02800,
>     wait=1) at nsSocketTransportService2.cpp:660
> #5  0x046199d5 in nsSocketTransportService::OnProcessNextEvent (
>     this=0xb7b02800, thread=0xb7cfe1f0, mayWait=1, depth=1)
>     at nsSocketTransportService2.cpp:539
> #6  0x04eaa1cb in nsThread::ProcessNextEvent (this=0xb7cfe1f0, mayWait=1,
>     result=0xb77ff21c) at nsThread.cpp:497
> #7  0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffdfc, mayWait=1)
>     at nsThreadUtils.cpp:227
> #8  0x046194a0 in nsSocketTransportService::Run (this=0xb7b02800)
>     at nsSocketTransportService2.cpp:581
> #9  0x04eaa224 in nsThread::ProcessNextEvent (this=0xb7cfe1f0, mayWait=1,
>     result=0xb77ff2ec) at nsThread.cpp:510
> #10 0x04e7669f in NS_ProcessNextEvent_P (thread=0xfffffdfc, mayWait=1)
>     at nsThreadUtils.cpp:227
> #11 0x04eaaa82 in nsThread::ThreadFunc (arg=0xb7cfe1f0) at nsThread.cpp:254
> #12 0x03e87871 in _pt_root (arg=0xb7c31530)
>     at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
> #13 0x00994935 in start_thread (arg=0xb77ffb70) at pthread_create.c:297
> #14 0x008c993e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
> 
> Thread 1 (Thread 0xb7fd06e0 (LWP 21714)):
> ^CQuit
> (gdb) quit
> The program is running.  Quit anyway (and kill it)? (y or n) y  

Somewhere since this was posted I either removed something or added something that fixed the problem for me.
Comment 81 Kai Engert (:kaie) 2009-11-10 13:57:06 EST
(In reply to comment #80)
> 
> Somewhere since this was posted I either removed something or added something
> that fixed the problem for me.  

Stephen, thanks a lot for your update, I'm glad it's now working for you. BTW, in the future when posting to bugzilla, you may want to trim the quoted text to the required parts, and attach long information as files, instead of pasting inline as text, this helps to keep bug reports easier to read, thanks!
Comment 82 udo 2009-12-25 08:23:07 EST
Is it me or does firefox from fedora (3.5.6) crash more than it used to?
Even when it is just sitting there? (x86_64)
Comment 83 Bug Zapper 2010-04-27 10:46:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 84 Fedora Admin XMLRPC Client 2010-09-07 16:54:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 85 Bug Zapper 2010-11-04 07:08:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 86 Bug Zapper 2010-12-05 01:51:52 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.